## Storage Automated Diagnostic Environment
Diagnostic Guide

6120ofdg | 6120ofdg - tests the functionality of the Sun StorEdge 6120 array
6120ondg | 6120ondg - tests the Fibre Channel loops inside and outside the Sun StorEdge 6120 array.
6120volverify | 6120volverify - Runs manual parity checks on Sun StorEdge 6120 array volumes
a3500fctest | a3500fctest - verifies functionality of Sun StorEdge A3500FC disk tray
a5ksestest | a5ksestest - tests Sun StorEdge A5000 and A5200 arrays
a5ktest | a5ktest - tests the functionality of disks in the Sun StorEdge A5000 and A5200 array
brocadetest | brocadetest - diagnose Brocade Silkworm Fibre Channel switches
checkcron | checkcron - check crontab entries
clearcache | clearcache -clears Storage Automated Diagnostic Environment cache files
config_solution | config_solution - creates a configuration snapshot during the manufacturing and upgrading of Sun StorEdge 3900 and 6900 series and Sun StorEdge 6320 and 6320SL system solu- tions.
d2disktest | d2disktest - tests the functionality of the Internal Sun StorEdge D2 Array disk
daksestest | daksestest - tests Sun Fire V880 FC-AL disk backplanes
daktest | daktest - tests the Sun Fire V880 FC-AL disk
dex | dex - Device Exerciser for Sun StorEdge arrays
discman | discman - discovery manager
disk_inquiry | disk_inquiry - disk-only version of the inquiry program
disktest | disktest - tests the functionality of fibre channel disks
fcdisktest | fcdisktest - tests the functionality of internal fibre chan- nel disk
fctapetest | fctapetest - tests the functionality of Fibre Channel tape drives
ifptest | ifptest - tests functionality of the PCI FC-100 Fibre Channel-Arbitrated loops (FC-AL) card
jnitest | jnitest - tests the functions of the Sun StorEdge 2 Gbyte PCI Fibre Channel Network Adapter JNI boards.
lbf | lbf - A loop back frame diagnostic utility program that tests Fibre Channel-Arbitrated loops (FC-AL)
linktest | linktest - diagnose Sun StorEdge network passive Fibre Chan- nel components
qlctest | qlctest - tests the functions of the Sun StorEdge 1 Gbyte and 2 Gbyte PCI and cPCI Fibre Channel Network Adapter boards.
ras_admin | ras_admin - command line interface to Storage Automated Diagnostic Environment
ras_discover | ras_discover - discovers devices and updates the configura- tion file on the slave and the master.
ras_install | ras_install - executes the ras_install command to start the Storage Automated Diagnostic Environment services.
ras_patchlist | ras_patchlist - executes PatchPro software and creates a list of devices and required patches.
ras_remote | ras_remote - executes Storage Automated Diagnostic Environ- ment commands remotely.
ras_revcheck | ras_revcheck - checks the software, hardware, and firmware revision levels.
ras_upgrade | ras_upgrade - upgrades a set of devices using PatchPro.
rasagent | rasagent - monitors, collects, and reports information about Sun storage products.
sanbox | sanbox - access the SANbox switch diagnostic facilities
save_password | save_password - change the Storage Automated Diagnostic Environment admin password
se2_configcheck | se2_configcheck - Verify the configuration of a Sun StorEdge Solution System
se_configcheck | se_configcheck - Verify the configuration of a Sun StorEdge Solution System
snapshot | snapshot - take snapshot of configuration
socaltest | socaltest - tests the SOC+ host adapter card
stresstest | stresstest - Checks for possible SAN errors.
switch2test | switch2test - diagnose Sun StorEdge Network FC switch-8 and switch-16 2 Gbyte Fibre Channel switches
switchtest | switchtest - diagnose Sun StorEdge Network Fibre Channel switch-8 and switch-16 switches
t3ofdg | t3ofdg - tests the functionality of the Sun StorEdge T3 array
t3test | t3test - tests the functionality of the Sun StorEdge T3 and T3+ array LUNs
t3volverify | t3volverify - Runs manual parity checks on Sun StorEdge T3 array volumes
testt3 | testt3 - retrieve tokens from a Sun StorEdge T3 array
vediag | vediag - Runs virtualization engine diagnostics through SLICD
veluntest | veluntest - tests the functionality of the virtualization engine by accessing the VLUNs.
volverify | volverify - Runs manual parity checks on Sun StorEdge T3, T3+, and 6120 array volumes
volverifytest | volverify - Runs manual parity checks on Sun StorEdge T3, T3+, and 6120 array volumes

6120ofdg (1M) | [ Top ]

    Maintenance Commands                                 6120ofdg(1M)

    NAME
         6120ofdg - tests the functionality of the Sun StorEdge  6120
         array

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/6120ofdg
         [ standard-arguments ]
         health_check=[enable|disable]  fast_test=[enable|disable]
         fast_find=[enable|disable] find=[enable|disable]
         syslog=[enable|disable]    [    dev=6120IP_address    ]    [
         enc_id=enclosure_ID ]
         loop=[1|2] [  usr=6120adminusername  ]  [  passwd=6120admin-
         password ]

    DESCRIPTION
         The 6120ofdg test runs the internal diagnostics of  the  Sun
         StorEdge 6120 array.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         command-name -o "dev=path | ..."

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         heath_check=enable|disable
              Health check runs fast_test multiple  times,  one  time
              for each loop per unit. Default is disable.

         fast_test=enable|disable
              Fast_test performs a fast Go/No Go test of the selected
              enclosure  and loop.  It does not attempt to detect bad
              FRUs.  Default is disable.

         fast_find=enable|disable
              fast_find can be used to detect bad loop cards,  inter-
              connect  cables,  and  controllers.  Fast_find does not
              try to  isolate  down  to  a  single  disk  port.   Run
              fast_find  before  find to eliminate loop cards, inter-
              connect cables, and controllers as  bad  FRU(s)  before
              the  midplane or disks are suspected (which are checked
              using find). Default is disable.

         find=enable|disable
              find performs an extensive  Go/No  Go  test.   If  loop

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                 6120ofdg(1M)

              failures  are  detected, it automatically initiates the
              full loop fault isolation diagnostic.  The  loop  fault
              diag  has the capability to detect and isolate a single
              disk port, but is very time-consuming.  Default is dis-
              able.

         syslog=enable|ofdg|disable
              Enable will dump all syslog  entries,  that  have  been
              added  while  the test is running, to the screen.  ofdg
              will dump only OFDG lines, added to the syslog, to  the
              screen.  Default is disable.

         dev=6120 IP Address
              If a host name is set for the device, it can be used as
              well.

         enc_id=1|2|all
              enc_id applies only to  Partner  groups  and  specifies
              enclosures  on  which  to  run  test.   all will run on
              enclosure 1, then on enclosure 2.  The default is 1.

         loop=1|2|all
              Specifies which loop to test.  All tests both.  Default
              is 1.

         usr=6120adminusername
              Specify login name.

         passwd=6120admin Password
              Specify Password.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -y   Provide  affirmative  answer  to  following   question:
              WARNING  -  Volume  data  will be offline while OFDG is
              running.  Continue ? [N] :

         -k   Attempt to abort Tests currently running  on  specified
              Sun StorEdge 6120 array.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false .

    ATTRIBUTES

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                 6120ofdg(1M)

         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),   switch2test(1M),  t3ofdg(1M),  t3test(1M),
         t3volverify(1M), 6120ondg(1M), 6120volverify(1M) vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

6120ondg (1M) | [ Top ]

    Maintenance Commands                                 6120ondg(1M)

    NAME
         6120ondg - tests the Fibre Channel loops inside and  outside
         the Sun StorEdge 6120 array.

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/6120ondg
         [ standard-arguments ]

         [ip_address=ip_address ] | controller=[primary|alternate|all
         ] |
         ilb-10=[enable|disable]    |    ilb-1=[enable|disable]     |
         elb=[enable|disable]
         controller-sim=[    front|back-A|back-B|all    ]     |     [
         userpattern=0x-pattern ]
         selectpattern=[user|critical|all] | [ loopsize=0x-pattern  ]
         [ echosize=0x-pattern ]
         [iterations=number  ]  |   [   usr=6120adminusername   ]   [
         passwd=6120admin-password ]

    DESCRIPTION
         The 6120ondg test tests the functions of  the  Sun  StorEdge
         6120 array controller.  Each controller has three chips that
         run the Fibre Channel loops inside and outside the array.

    OPTIONS
         ip_address=ip_address
              Specifies the Sun StorEdge 6120 array against which  to
              run the test.

         controller=primary|alternate|all
              Specifies which controller  sim  (chip)  will  run  the
              test.  Default is Primary.

         ilb-10=enable|disable
              Enables or disables the internal 10-bit test.  Performs
              internal  loopback  test  within  the  host adapter ISP
              hardware at the 10-bit interface. Default is Enable.

         ilb-1=enable|disable
              Enables or disables the internal 1-bit  test.  Performs
              internal  loopback  test  within  the  host adapter ISP
              hardware at the 1-bit interface. Default is Enable.

         elb=enable|disable
              Enables or disables the  external  loopback  test.  The
              desired  data  pattern,  transfer length, and iteration
              count can be selected via  the  test  parameters  menu.
              Requires  a  cable for this intervention test.  Default
              is Disable.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                 6120ondg(1M)

         controller-sim=front|back-A|back-B|all
              Specifies which controller sim (chip) the test will run
              against.  Default is Front.

         selectpattern=user|critical|all
              Choice of pattern to run. critical is the default  pat-
              tern.

         loopsize=0x-pattern
              Specifies the payload size for the 6120_echo test.   If
              this  test  is  run  on  a front end external loop, the
              attached device must support loopback and the specified
              payload  size.   Options  range  from  16  bytes to 220
              bytes.  0xff8 is the default pattern.

         echosize=0x-pattern
              Specifies the payload size for the 6120_loop test.  The
              attached  device  must  support  Echo and the specified
              payload size.  Options range from  16  bytes  to  65528
              bytes.  0xdc is the default pattern.

         iterations=number
              Sets the number of times to loop the  internal  10-bit,
              internal  1-bit,  and  external  loopback  tests.   The
              default value is 1000.

         number=passcount
              Specifies the  number  of  times  the  test  will  run.
              Options range from 1 to forever.

         usr=6120adminusername
              Specify login name.

         passwd=6120admin Password
              Specify Password.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -k   Attempt to abort Tests currently running  on  specified
              Sun StorEdge 6120 array.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false .

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                 6120ondg(1M)

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         brocadetest(1M),        linktest(1M),         ras_admin(1M),
         stresstest(1M), switchtest(1M), switch2test(1M), t3test(1M),
         t3ofdg(1M)   t3volverify(1M),    vediag(1M)    veluntest(1M)
         6120volverify(1M) 6120ofdg(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

6120volverify (1M) | [ Top ]

    Maintenance Commands                            6120volverify(1M)

    NAME
         6120volverify - Runs manual parity checks  on  Sun  StorEdge
         6120 array volumes

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/6120volverify

         [ standard-arguments ]
         dev=6120_Name_or_Address   |    usr=6120_admin_username    |
         passwd=6120_admin_password |
         volume_name=volume_name | fix_errors=[yes|no] | rate=[1-16]

    DESCRIPTION
         The 6120volverify test instantiates and  monitors  a  manual
         parity  check  on  existing  RAID 5 and RAID 1 volumes.  The
         HTTP token interface of the Sun StorEdge 6120 Array is util-
         ized  for  communication.  If the Ethernet connection to the
         Sun StorEdge  6120  Array  does  not  exist  or  is  broken,
         6120volverify cannot run properly.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         command-name -o "dev=path | ..."

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=6120_Address
              The IP address of the Sun StorEdge 6120  Array.   If  a
              host name is set for the device, the host name can also
              be used.

         usr=6120_admin_username
              Specifies the login name.

         passwd=6120_admin_password
              Specifies the password for the Sun StorEdge 6120 Array.

         volume_name=volume_name
              Specifies the existing volume to run against.

         fix_errors=yes|no
              The fix_errors option corrects parity errors on RAID  5
              volumes  and  corrects  mirrored  data errors on RAID 1
              volumes.  If fix_errors is not enabled,  then  6120vol-
              verify  will  report  errors, but not correct them.  If

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                            6120volverify(1M)

              the fix_errors option is  specified  and  an  error  is
              detected,  the  volverify  running  on the Sun StorEdge
              6120 Array will regenerate  parity  from  the  existing
              data on the volume.

         rate=1-16
               1 = the fastest, with the greatest performance loss on
              the Host I/O.  16 = the slowest, with the least perfor-
              mance loss on the Host I/O.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -y   Provides an affirmative answer to the  following  ques-
              tion:  WARNING - Volume data will be offline while vol-
              verify is running. Continue?  [N]:

         -k   Attempts  to  abort  any  and  all  volume   operations
              currently  running  on  the specified Sun StorEdge 6120
              Array.  Will not start any volverify operations on  the
              Sun StorEdge 6120 Array.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),   switch2test(1M),  t3ofdg(1M),  t3test(1M),
         t3volverify(1M),  6120ofdg(1M),  6120ondg(1M),   vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                            6120volverify(1M)

    SunOS 5.6         Last change: 20 December 2002                 3

a3500fctest (1M) | [ Top ]

    Maintenance Commands                              a3500fctest(1M)

    NAME
         a3500fctest - verifies functionality of Sun StorEdge A3500FC
         disk tray

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/a3500fctest
         [ standard-arguments ] [defaults]

         [-o  "dev=logical_path]   |   partition=0-7(mount_point)   |
         rawsub=[enable | disable] |
         rawcover=number_KB   |   method=[AsyncIO   |    SyncIO]    |
         rawiosize=number_KB    |   wrdevbuf=[enable   |   disable] |
         fstest=[enable | disable] | fssize=number_KB |
         fsiosize=number_KB | wrdevbufiterations=number |
         selectpattern=[user     |     all     |     critical]      |
         userpattern=0xpattern |
         checkrdls=[enable | disable] ]

    DESCRIPTION
         The a3500fctest test verifies the functionality for the  Sun
         StorEdge  A3500FC  disk tray using Media, File System, Asyn-
         chronous I/O, and Write/Read Device Buffer subtests.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         a3500fctest                                               -o
         "dev=/dev/rdsk/c3t4d2s2|selectpattern=critical"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=logical_path
              The name of the device that is returned by discman(1M);
              for example, /dev/rdsk/c0t3d0s2

         partition=0-7_mount point
              Specifies   the   partition   number   to    test    as
              partition=6(/export/s6) if mounted on partition 6.  The
              default is 2.

         rawsub=enable|disable
              Enables or disables the media subtest.

         method=AsyncIO|SyncIO
              Specifies the media access method (SyncIO and AsyncIO).
              method  can be SyncIO, AsyncIO, or SyncIO+AsyncIO.  The

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                              a3500fctest(1M)

              default is SyncIO+AsyncIO.

         rawcover=percentage
              Specifies media coverage percentage from 0-100  of  the
              partition.

         rawiosize=size
              Specifies the media size to transfer. size can  be  one
              of the following values:
              2KB|16KB|32KB|64KB|128KB|256KB|512KB

         wrdevbuf=enable|disable
              Runs the Write/Read Device Buffer subtest.

         wrdeviterations=passes_per_pattern
              Runs the specified number of passes to  the  Write/Read
              Buffer on the disk.  The default is 1000.

         fstest=enable|disable
              Run file system subtest.

         selectpattern=user|critical|all
              Choice of pattern to  run.  critical  is  the  top-most
              critical pattern for fault detection. all patterns also
              includes  the  critical  patterns.   critical  is   the
              default pattern.

         userpattern=0xpattern
              Specifies a user-defined pattern for file system  test-
              ing.

         checkrdls=enable|disable
              Check  read  link  status  counters  for  errors.   The
              default is disable.

         fssize=file-system-file-size
              Indicates the file system subtest size in kilobytes  or
              megabytes:
              K|k|KB|kb-kilobytes
              M|m|MB|mb-megabytes
              [ 512KB|2MB|8MB|20MB|100MB|200MB ]
              The default is 512KB.

         fsiosize=file-system-transfer-size
              Indicates the size  of  the  file  system  subtest  I/O
              transfer in bytes or kilobytes:
              [ 512B|1024B|10KB|40KB|80KB ]

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                              a3500fctest(1M)

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),   switch2test(1M),  t3ofdg(1M),  t3test(1M),
         t3volverify(1M),         6120ofdg(1M),         6120ondg(1M),
         6120volverify(1M) vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

a5ksestest (1M) | [ Top ]

    Maintenance Commands                               a5ksestest(1M)

    NAME
         a5ksestest - tests Sun StorEdge A5000 and A5200 arrays

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/a5ksestest
         [ standard-arguments ]
         [ -o "dev=ses-path]  |  disk  access=[enable  |  disable]  |
         delay=delay-in-seconds | display=[enable | disable]

    DESCRIPTION
         The a5ksestest test is used to provide configuration verifi-
         cation,  fault  isolation,  and repair validation of the Sun
         StorEdge A5000 array. a5ksestest  tests  both  Sun  StorEdge
         A5000 14- and 22-slot disk arrays.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         a5ksestest  -o  "dev=dev/esses2 f3|   disk_access=enable   |
         delay=30"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=ses-path
              The ses-path is the name of a ses device that is in the
              enclosure.

         delay=delay-in-seconds
              Sets the minimum delay (in seconds) between  successive
              invocations of the test.

         disk_access= enable | disable
              Enables or disables disk access.

         disp= enable | disable
              Enables  or  disables  the  display  of  INFO  messages
              regarding the enclosure status.

      Standard Command-Line Arguments
         The following is a lis of the  command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                               a5ksestest(1M)

              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        brocadetest(1M),         d2disktest(1M),
         daksestest(1M),     daktest(1M),    dex(1M),    discman(1M),
         fcdisktest(1M),   fctapetest(1M),   ifptest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

a5ktest (1M) | [ Top ]

    Maintenance Commands                                  a5ktest(1M)

    NAME
         a5ktest - tests  the  functionality  of  disks  in  the  Sun
         StorEdge A5000 and A5200 array

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/a5ktest
         [ standard-arguments ]
         [-uvelf]  |  [-o  dev=logical-path]  |   partition=0-7(mount
         point) | rawsub=[enable|disable] | rawiosize=number_KB |
         rawcover=number   |   method=   [AsyncIO   |    SyncIO]    |
         fssize=number_KB | fsiosize=number_KB |
         wrdevbufiterations=number  |   selftest=[enable|disable]   |
         wrdevbuf=[enable|disable]                                  |
         selectpattern=[user|critical|all] |
         userpattern=0xpattern    |     fstest=[enable|disable]     |
         checkrdls=[enable|disable]

    DESCRIPTION
         The a5ktest test verifies the functionality of Sun  StorEdge
         A5xx00  disk  tray disks using Media, File System, Asynchro-
         nous I/O, Send Diagnostic, and Write/Read  Buffer  subtests.
         An instance of a5ktest will be present for each disk.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         a5ktest -o "dev=dev/rdsk/c3t4d2s2 | selectpattern=critical"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=logical-path
              This is the name of the  device  that  is  returned  by
              discman(1M); for example: /dev/rdsk/c0t3d0s2

         partition=0-7
              Specifies   the   partition   number   to    test    as
              partition=6(/export/s6) if mounted on partition 6.

         rawsub=enable|disable
              Enables or disables the media subtest.

         wrdevbuf=enable|disable
              Runs the device buffer test.

         selectpattern=[user|critical|all]

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                  a5ktest(1M)

              Choice of pattern to  run.  critical  is  the  top-most
              critical pattern for fault detection. all patterns also
              includes  the  critical  patterns.   critical  is   the
              default pattern.

         userpattern=0xPattern
              Used to specify a user-defined pattern.

         method=method
              Specifies the Media Access Methods  (SyncIO  and  Asyn-
              cIO).  The valid values for method are: SyncIO, AsyncIO
              or SyncIO+AsyncIO.

         rawcover=percentage
              Specifies media coverage percentage from 0-100  of  the
              partition.

         rawiosize=size
              Specifies the media size to transfer. size can  be  one
              of the following:
              2KB|16KB|32KB|64KB|128KB|256KB|512KB.

         fstest=enable|disable
              Enables or disables the file system subtest.

         selftest=enable|disable
              Specifies running the disk selftest.

         fssize=file-system-size
              Indicates the file system subtest size in kilobytes  or
              megabytes:
              K|k|KB|kb-kilobytes
              M|m|MB|mb-megabytes
              {512KB|2MB|8MB|20MB|100MB|200MB}

         fsiosize=transfer-size
              Indicates the size  of  the  file  system  subtest  I/O
              transfer in bytes or kilobytes:
              {512B|1024B|10KB|40KB|80KB}

         checkrdls=enable|disable
              Check read link status counters for errors.

         wrdevbufiterations=passes-per-pattern
              Runs the  specified  number  of  each  pattern  to  the
              Read/Write Buffer on the disk.

      Standard Command-Line Arguments
         The following is a lis of the  command-line  arguments  that
         can be specified along with the other options.

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                  a5ktest(1M)

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),       brocadetest(1M),       d2disktest(1M),
         daksestest(1M),     daktest(1M),    dex(1M),    discman(1M),
         fcdisktest(1M),   fctapetest(1M),   ifptest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

brocadetest (1M) | [ Top ]

    Maintenance Commands                              brocadetest(1M)

    NAME
         brocadetest  -  diagnose  Brocade  Silkworm  Fibre   Channel
         switches

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/brocadetest
         [ standard-arguments ]
         [-vu]  |  [-o  dev=port:ip_address]  |  port=port_number   |
         passwd=switch_password | ip=ip_address | iterations=number

    DESCRIPTION
         The  brocadetest  test  is  delivered  with  the   SUNWstade
         software.  This  test verifies the functionality of the Bro-
         cade switch ports.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         brocadetest -v -o "port=5 | ip=10.0.0.1 | passwd=mypassed  |
         iterations=10000"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=port:ip_address
              Specifies the port and ip address of the switch port to
              be  tested.  This option can be replaced with the port=
              and ip= options.

         port=number
              Specifies the port to test.  Port numbers start from 0.
              There is no default value.

         passwd=switch_password
              Specifies the password used by the admin  user  of  the
              switch.  There is no default value.

         ip=  Specifies the IP address of the switch  to  be  tested.
              There is no default value.
              Valid switches include the Brocade Silkworm 2400, 2800,
              3200, 3800, and 12000 Fibre Channel switch.

         iterations=number
              Specifies the number of iterations the port test should
              run. Default is 1000000.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                              brocadetest(1M)

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test-specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M), a5ktest(1M), d2disktest(1M), daksestest(1M),
         daktest(1M),     dex(1M),    discman(1M),    fcdisktest(1M),
         fctapetest(1M),    ifptest(1M),    lbf(1M),    linktest(1M),
         qlctest(1M),  ras_admin(1M), ras_revcheck(1M) socaltest(1M),
         stresstest(1M), switchtest(1M), switch2test(1M), t3ofdg(1M),
         t3test(1M),   t3volverify(1M),  6120ofdg(1M),  6120ondg(1M),
         6120volverify(1M) vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

checkcron (1M) | [ Top ]

    Maintenance Commands                                checkcron(1M)

    NAME
         checkcron - check crontab entries

    SYNOPSIS
         /opt/SUNWstade/bin/checkcron

    DESCRIPTION
         checkcron verifies that  the  Storage  Automated  Diagnostic
         Environment  main  program  is  entered in the crontab.  You
         must be root to run this program.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         config_solution(1M), crontab(1),  cron(1M),  clearcache(1M),
         disk_inquiry(1M), luxadm(1M), rasagent(1M), ras_install(1M),
         sanbox(1M), testt3(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 1

clearcache (1M) | [ Top ]

    Maintenance Commands                               clearcache(1M)

    NAME
         clearcache -clears Storage Automated Diagnostic  Environment
         cache files

    SYNOPSIS
         /opt/SUNWstade/bin/clearcache

    DESCRIPTION
         clearcache clears the Storage Automated Diagnostic  Environ-
         ment  cache  files  that contain the current report for each
         device that is being monitored.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box;  cbp-1 | cbp-1 l | l.  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         checkcron(1M),  crontab(1),  cron(1M),  config_solution(1M),
         disk_inquiry(1M), luxadm(1M), rasagent(1M), ras_install(1M),
         sanbox(1M), testt3(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 1

config_solution (1M) | [ Top ]

    Maintenance Commands                          config_solution(1M)

    NAME
         config_solution - creates a  configuration  snapshot  during
         the  manufacturing  and  upgrading  of Sun StorEdge 3900 and
         6900 series and Sun StorEdge 6320 and  6320SL  system  solu-
         tions.

    SYNOPSIS
         /opt/SUNWstade/bin/config_solution
         [ standard-arguments ]
         [   -m=expected_model   |   -i=ip_prefix   |    -h=help    |
         -p=ve_password | -a=Run rasagent ]

    DESCRIPTION
         The config_solution command is used to create a snapshot  of
         a  Sun  StorEdge  3900 and 6900 series and Sun StorEdge 6320
         and  6320SL  configuration  during  the  manufacturing   and
         upgrading of the solution devices.
         Running         config_solution         creates          the
         /var/opt/DATA/Solution.golden  file,  which  lists the model
         number of the Sun StorEdge  3900  and  6900  series  or  Sun
         StorEdge  6320  and  6320SL configuration, the date of crea-
         tion, the devices, and the device attributes.

    OPTIONS
         Example:

         config_solution-m=6910 -i=123.456.0"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         -h=Help
              Display help information.

         -i=ip_prefix
              Specifies the subnet prefix.  The default  is  ifconfig
              for dmfe1.

         -m=expected_model
              Specifies the specific model of the configuration.
              For example: config_solution -m 6910.
              Valid options  are  3910,  3960,  3900SL,  6910,  6960,
              6910SL and 6960SL, 6320, and 6320SL.

         -p=ve_password
              Specifies the password for the virtualization engine.

         -a=run rasagent

    SunOS 5.6          Last change: 07 March 2003                   1

    Maintenance Commands                          config_solution(1M)

              Will run rasagent as part of the script.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 07 March 2003                   2

d2disktest (1M) | [ Top ]

    Maintenance Commands                               d2disktest(1M)

    NAME
         d2disktest - tests the functionality  of  the  Internal  Sun
         StorEdge D2 Array disk

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/fcdisktest
         [ standard-arguments ]
         dev=RegisterName, | partition=0-7, | rawsub=[ enable|disable
         ],
         rawiosize=size, | rawcover=percentage,  |  method=method,  |
         fstest=[ enable|disable ],
         fssize=file-system-size,   |    fsiosize=transfer-size,    |
         userpattern=data-pattern, |
         selftest=[ enable|disable ], | wrdevbuf=[ enable|disable ] ,
         |
         selectpattern=[        user|critical|all        ],         |
         wrdevbufiterations=passes-per-pattern

    DESCRIPTION
         The  d2disktest  test  verifies  the  functionality  of  Sun
         StorEdge  internal  fibre channel disk using the Media, File
         System, Asynchronous I/O,  Send  Diagnostic  and  Write/Read
         Buffer  subtests.  An instance of d2disktest will be present
         for each internal fibre channel disk.

         OPTIONS

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=RegisterName
              This is the name  of  the  disk  that  is  returned  by
              discman(1M).

         partition=0-7
              Specifies   the   partition   number   to    test    as
              partition=6(/Export/s6) if mounted on partition 6.

         rawsub=enable|disable
              Enables or disables the media subtest.

         selftest=enable|disable
              Runs the specified disks internal  diagnostics  if  any
              are available.

         wrdevbuf=enable|disable
              Enable the write read device buffer test.

         selectpattern=user|critical|allpattern

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                               d2disktest(1M)

              Choice of pattern to  run.  critical  is  the  top-most
              critical pattern for fault detection. all patterns also
              includes  the  critical  patterns.   critical  is   the
              default pattern.

         wrdevbufiterations=passes-per-pattern
              Runs the  specified  number  of  each  pattern  to  the
              Write/Read Buffer on the disk.

         method=method
              Specifies the Media Test Methods (SyncIO and  AsyncIO).
              The  valid  values for method are:  SyncIO, AsyncIO, or
              SyncIO+AsyncIO.

         rawcover=percentage
              Specifies media coverage percentage from 0-100% of  the
              partition.

         rawiosize=size
              Specifies the media size to transfer. size can  be  one
              of the following:
              2KB|6KB|32KB|64KB|128KB|256KB|512KB.

         fstest=enable|disable
              Enables or disables the file system subtest.

         userpattern=data-pattern
              Specifies a specific pattern for file system testing.

         fssize=file-system-size
              Indicates the file system subtest size in kilobytes  or
              megabytes:
              K|k|KB|kb-kilobytes
              M|m|MB|mb-megabytes
              [ 512KB|2MB|8MB|20MB|100MB|200MB ]

         fsiosize=transfer-size
              Indicates the size  of  the  file  system  subtest  I/O
              transfer in bytes or kilobytes:
              [ 512B|1024B|10KB|40KB|80KB ]

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified, along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                               d2disktest(1M)

         -l   Runs the test in Online Functional mode.  This  is  the
              same   mode   as  tests  run  when  executed  with  the
              vtsui.online command. It  is  a  non-intrusive  version
              that  doesn't  significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         daksestest(1M),     daktest(1M),    dex(1M),    discman(1M),
         fcdisktest(1M),   fctapetest(1M),   ifptest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

daksestest (1M) | [ Top ]

    Maintenance Commands                               daksestest(1M)

    NAME
         daksestest - tests Sun Fire V880 FC-AL disk backplanes

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/daksestest
         [ standard-arguments ]
         dev=ses-path, | test_ses_path=[ enable|disable ], |
         test_i2c_path=[ enable|disable ], | lb=[ enable|disable ], |
         fwtest=enable|disable

    DESCRIPTION
         The daksestest tests the Sun Fire V880 FC-AL disk backplane.
         The  daksestest  verifies  the operation of the embedded SES
         controller and the disk enclosure system of the Sun Fire 880
         workgroup  server.   tests  both  Sun StorEdge A5x00 14- and
         22-slot disk arrays.

         OPTIONS

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=ses-path
              The ses-path is the name of  the  ses  device  that  is
              returned by discman(1M).

         test_ses_path=enable|disable
              Tests the device over the Fibre Channel interface.

         test_i2c_path=enable|disable
              Tests over the I2C interface.

         lb=enable|disable
              When enabled, the subtest causes the SES device to loop
              a  packet  around  the fibre bus with varying data pat-
              terns. The device reads the packet after the packet  is
              received,   and  verifies  that  the  data  payload  is
              correct.

         fwtest=enable|disable
              When enabled, this subtest  runs  the  system  friendly
              embedded firmware tests on the SES/SSC100 device.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                               daksestest(1M)

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),     daktest(1M),    dex(1M),    discman(1M),
         fcdisktest(1M),   fctapetest(1M),   ifptest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

daktest (1M) | [ Top ]

    Maintenance Commands                                  daktest(1M)

    NAME
         daktest - tests the Sun Fire V880 FC-AL disk

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/daktest
         [ standard-arguments ]

         dev=logical-path, | partition=0-7, | rawsub=[ enable|disable
         ], |
         rawiosize=size, | rawcover=percentage,  |  method=method,  |
         fssize=file-system-size, |
         fsiosize=transfer-size,   |   wrdevbufiterations=passes-per-
         pattern, |
         selftest=[ enable|disable ], wrdevbuf=[ enable|disable ], |
         selectpattern=[ user|critical|all ],  userpattern=0xPattern,
         |
         fstest=[ enable|disable ], | checkrdls=[ enable|disable ]

    DESCRIPTION
         The daktest test verifies the functionality of the  Internal
         Fibre  Channel disk using five subtests: Media, File System,
         Asynchronous I/O, Write/Read Buffer, and Self Test. The file
         system  subtest can only be run if the selected partition is
         mounted.  An instance of daktest is present for each  inter-
         nal Fibre Channel disk.

         OPTIONS

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=logical-path
              This is the name of the  device  that  is  returned  by
              discman(1M).

         partition=0-7
              Specifies   the   partition   number   to    test    as
              partition=6(/export/s6) if mounted on partition 6.

         rawsub=enable|disable
              Enables or disables the media subtest.

         wrdevbuf=enable|disable
              Enable the write read device buffer test.

         selectpattern=user|critical|all
              Choice of pattern to  run.  critical  is  the  top-most
              critical pattern for fault detection. all patterns also
              includes  the  critical  patterns.   critical  is   the

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                  daktest(1M)

              default pattern.

         userpattern=0xPattern
              Used to specify a specific pattern.

         method=method
              Specifies the Media Test Methods (SyncIO and  AsyncIO).
              The  valid  values  for  method are: SyncIO, AsyncIO or
              SyncIO+AsyncIO.

         rawcover=percentage
              Specifies media coverage percentage from 0-100  of  the
              partition.

         rawiosize=size
              Specifies the media size to transfer. size can  be  one
              of the following:
              2KB|16KB|32KB|64KB|128KB|256KB|512KB.

         fstest=enable|disable
              Enables or disables the file system subtest.

         selftest=enable|disable
              Specifies running the selftest.

         fssize=file-system-size
              Indicates the file system subtest size in kilobytes  or
              megabytes:
              K|k|KB|kb-kilobytes
              M|m|MB|mb-megabytes
              [ 512KB|2MB|8MB|20MB|100MB|200MB ]

         fsiosize=transfer-size
              Indicates the size  of  the  file  system  subtest  I/O
              transfer in bytes or kilobytes:
              [ 512B|1024B|10KB|40KB|80KB ]

         checkrdls=enable|disable
              Monitor read link status counters for errors.

         wrdevbufiterations=passes-per-pattern
              Runs the  specified  number  of  each  pattern  to  the
              Read/Write Buffer on the disk.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified, along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                  daktest(1M)

              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   dex(1M),   discman(1M),
         fcdisktest(1M),   fctapetest(1M),   ifptest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

dex (1M) | [ Top ]

    Maintenance Commands                                      dex(1M)

    NAME
         dex - Device Exerciser for Sun StorEdge arrays

    SYNOPSIS
         dex [-v] [-testinfo range iterations time] [-options] [-pattern] devices

    DESCRIPTION
         The dex program generates I/O transactions to a device.  The
         command line options allow you to specify:

         +o  Test information including the type of test, test-related
            flags, and the number of I/O transactions per pass

         +o  The range across the media to test

         +o  The number of passes to run

         +o  The type of I/O transaction

         +o  Whether to stop after a certain number of  errors  or  an
            elapsed time frame

         +o  The data pattern used during testing

         You can use dex to exercise disk drives, tape  drives,  file
         systems, and memory.

    OPTIONS
         The  following  options  may  be   used   on   the   command
         line:

         -r        read

         -w        write

         -wr       write and read

         -rw       read and write

         -w/r      write then read

         -help     Display help  information.  This  option  is  used
                   alone  on  the  command  line to display the other
                   options.

         -x [xfersize]
                   Specifies the size of each I/O transaction.  Small
                   I/O  sizes cause many transactions to queue. Large
                   I/O sizes are used to test buffering (see  USAGE).
                   The following sizes are valid:

                   g    Gigabytes (Gbytes)

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                      dex(1M)

                   m    Megabytes (Mbytes)

                   k    Kilobytes (Kbytes)

                   b    Blocks. A block is 512 bytes.  To  specify  a
                        size  in  bytes,  omit the b from the command
                        line. For example, -x 32b specifies 32 blocks
                        and -x 32 specifies 32 bytes.

         -m [maxphyssize]
                   Specifies the maximum transfer size for  asynchro-
                   nous  I/O  transfers  greater than 128 Kbytes. The
                   default size is bytes.  The  following  additional
                   sizes are valid:

                   g    Gigabytes

                   m    Megabytes

                   k    Kilobytes

         -o [xferoffset]
                   Specifies the transfer offset in blocks.

         -p [processes]
                   Specifies the number of processes to  run  to  the
                   same  device.  Each process performs its own burst
                   of I/O transactions.

         -e [error-limit compare-error-limit]
                   Specifies the error limit and compare error  limit
                   values.  Enter  a  space  between  the two values.
                   Enter 0 to specify no limit. The error limit indi-
                   cates  the number of errors that must occur before
                   stopping. The compare error  limit  indicates  the
                   number  of  compare  errors  that are treated as a
                   single error. For example,  -e  10  5  means  stop
                   after ten errors, but treat five compare errors as
                   a single error.

         -eh       Halt on error.

         -eb       kadb trap on error.

         -s [I/O-delay pass-delay process-start-delay]
                   Specifies the I/O, pass, and process  start  delay
                   times. Use a space between the three values. Enter
                   0 to specify no delay.  For example, -s 1s  3s  1m
                   specifies  that  the  I/O delay is one second, the
                   pass delay is three seconds, and the process start
                   delay  is  one  minute. This means that there is a
                   one second delay between I/O transactions, a three

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                      dex(1M)

                   second  delay  between  bursts,  and  a one minute
                   delay before the first  burst  if  initiated.  The
                   following time values are accepted:

                   s    Seconds

                   m    Minutes

                   h    Hours

         -i [increment cluster-increment]
                   Specifies the increment between  I/O  transactions
                   and  the cluster increment between I/O bursts. The
                   cluster increment is  used  with  the  -B  and  -C
                   tests.

         -a [buffer-alignment]
                   Specifies the starting buffer  boundary.  This  is
                   option is used for HBA testing.

         -f [tape file position]
                   Specifies the absolute file position.

         -v        Verbose. This option  displays  additional  output
                   and is normally listed first on the command line.

         -d        Debug. Runs the test in debug mode.

    PARAMETERS
         testinfo  Specifies the following  test-related  parameters:
                   Test  Flags  Burst.  Enter them in the order given
                   without delimiting spaces.

                   Test      Specifies one of the following tests:

                             Sequential Tests

                             -S        Sequential

                             -SR       Sequential Reverse

                             -M        Mmap

                             -MR       Mmap Sequential Reverse

                             -LS       Low-Power Sequential

                             -C        Cluster

                             -X        Transfer

                             Seek Tests

    SunOS 5.6         Last change: 20 December 2002                 3

    Maintenance Commands                                      dex(1M)

                             -R        Random

                             -RV       Video

                             -B        Burst Random

                             -N        Mmap Random

                             -L        Low-Power Seek

                             -LB       Low-Power Butterfly

                             -LR       Low-Power Reverse Butterfly

                             -A        Actuator

                             -AB       Actuator Butterfly

                             -AR       Actuator Reverse Butterfly

                             Tape Tests

                             -T        Tape Sequential

                             -V        Variable

                             -J        Low-Power Sequential

                   Flags     Specifies one of the following  optional
                             flags:

                             I         Initialize the  device  before
                                       beginning the first pass.

                             C         Open and close the device once
                                       for each pass. Open before the
                                       pass and close after  the  I/O
                                       transactions have completed.

                             P         Preload. This flag is for Mmap
                                       tests only.

                             N         Normal. This flag is for  Mmap
                                       tests only.

                   Burst     Specifies the number of I/O transactions
                             per  pass. If no value is specified, the
                             default is eight for the S test and six-
                             teen for the R test.

    SunOS 5.6         Last change: 20 December 2002                 4

    Maintenance Commands                                      dex(1M)

         Enter a space between each of the following parameters:

         range     Specifies the range across the media to  test.  If
                   no  size  is  specified, the parameter defaults to
                   bytes. One of the following  range  sizes  may  be
                   entered:

                   g    Gigabytes

                   m    Megabytes

                   k    Kilobytes

                   b    Blocks

                   %    Specifies a percentage. For example: 90%

         iterations
                   Specifies the number of passes or number of  times
                   to issue the burst of I/Os. If you enter zero, the
                   number of passes is unlimited.

         time      Specifies the test execution  time.  If  you  omit
                   this parameter, there is no time limit on testing.
                   This parameter may be used  with  or  without  the
                   iterations  parameter.   The following time values
                   are accepted:

                   h    hours

                   m    minutes

                   s    seconds

          pattern  Specifies the data pattern  used  during  testing.
                   The   pattern   can   be   specified  in  hex  (-P
                   0x7e7ebdff) or decimal (-P 255). Patterns that  do
                   not  fill  32  bits  are prepended with zeros. For
                   example, 0x55ff becomes 0x000055ff. The  following
                   standard patterns are available:

                   -P   Header ID pattern

                   -P0  Header ID pattern

                   -P1  Block ID pattern

                   -P2  Incrementing Block ID pattern

                   -P3  Random pattern

                   -P4  MFM pattern

    SunOS 5.6         Last change: 20 December 2002                 5

    Maintenance Commands                                      dex(1M)

                   -P5  8-bit Cable pattern

                   -P6  16-bit Cable pattern

                   -P7  8-bit Xtalk pattern

                   -P8  16-bit Xtalk pattern

         devices   Specifies the device under test.

    USAGE
         Use the following command  line  to  display  the  available
         options:

              dex -help

         The system may split large buffers into  smaller  sizes.  To
         use  sizes  above 128 Kbytes, use the -S or -R test with the
         -p option to increase the load by increasing the  number  of
         processes per device.

         When using dex to exercise a file instead of a  device,  the
         -M  (Memory  Mapped I/O) test is recommended. Use the I flag
         to initialize or increase the file size  before  testing  is
         started.  For  example,  the following command line runs the
         Memory Mapped I/O test on the specified file (filename). The
         file  is  first initialized and the test performs write then
         read operations across 32 Kbytes  for  five  passes  or  one
         minute.   Each pass performs eight I/O operations with a one
         block transfer size (one block is 512 bytes).

              dex -MI8 32k 5 1m -x 1b -wr filename

              Transfer size= 512 Bytes
              Range= 32 Kbytes
              Number of I/O's per process= 8
              Mapped Sequential Write-Read Test, 5 Passes for 1 min.
                Growing file to 32 Kbytes from 0...
                Loading test pattern...done
              Pass 0, Errors 0, Elapsed time= 0 sec.

    EXAMPLES
         The following are command line examples:

         o  Run the Random test on the specified device:

              dex -R /dev/rdsk/c1t0d0s6

         o  Run the Sequential test, write only, across 100 Mbytes on
            the specified device. The test performs eight  I/O  tran-
         sactions per pass.

    SunOS 5.6         Last change: 20 December 2002                 6

    Maintenance Commands                                      dex(1M)

              dex -S8 100m -w /dev/rdsk/c1t2d0s6

         o  Run the Sequential test, read  then  write,  across  four
         Gbytes
            on the specified device.  The  test  performs  eight  I/O
         transactions per pass.

              dex -S8 4g -rw /dev/rdsk/c1t3d0s2

         o  Run the Sequential test across eight Gbytes on the speci-
         fied device.
            The test performs four  I/O  transactions  per  pass  for
         twenty passes.

              dex -S4 8g 20 device

         o  Run the Sequential test across eight Gbytes on the speci-
         fied device
            for 20 passes or 60 minutes, whichever comes first.  Four
         I/O transactions
            are performed per pass.

              dex -S4 8g 20 60m device

         o  Run the Random test across 50% of the media for an unlim-
         ited number
            of passes or until two hours have passed. The  test  per-
         forms ten I/O
            transactions per pass.

              dex -R10 50% 0 2h device

         o  Run the Sequential  test  in  verbose  mode  across  four
         Gbytes of media.
            Each pass performs four I/O transactions.

              dex -v -S4 4g device

         o  Run the Sequential test, read only, across  eight  Gbytes
         of media
            for 20 passes or 40 minutes, whichever comes  first.  The
         test performs
            four I/O transactions per pass.

              dex -S4 8g 20 40m -r device

         o  Run the Sequential  test,  read  only,  in  verbose  mode
         across eight
            Gbytes of media for an  unlimited  number  of  passes  or
         until 60
            minutes have  passed.  The  test  will  stop  after  1000
         errors. The

    SunOS 5.6         Last change: 20 December 2002                 7

    Maintenance Commands                                      dex(1M)

            test performs one I/O  transaction  per  pass.  The  data
         transfers are
            128 Kilobytes and there is a three-second  delay  between
         passes.

              dex -v -S1 8g 0 60m -x 128k -r -e 1000 -s 0 3s 0

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),  daksestest(1M),  daktest(1M),  discman(1M),
         fcdisktest(1M),   fctapetest(1M),   ifptest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 8

discman (1M) | [ Top ]

    Maintenance Commands                                  discman(1M)

    NAME
         discman - discovery manager

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/discman

    DESCRIPTION
         The discman test displays the system configuration  informa-
         tion.   It  attempts to give a text output of how storage is
         connected to a  UNIX  host.   It  is  used  by  the  Storage
         Automated Diagnostic Environment to draw the topology of the
         system.  The information that the Storage Automated Diagnos-
         tic  Environment  gathers from the output of discman is com-
         bined with other discovery modules to draw a complete topol-
         ogy view of the system.

    OPTIONS
         There are no options for discman.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a3500fctest(1M),        a5ksestest(1M),         a5ktest(1M),
         brocadetest(1M),       d2disktest(1M),       daksestest(1M),
         daktest(1M),   dex(1M),   fcdisktest(1M),    fctapetest(1M),
         ifptest(1M),     lbf(1M),     linktest(1M),     qlctest(1M),
         ras_admin(1M),       ras_fccheck(1M),       ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 1

disk_inquiry (1M) | [ Top ]

    Maintenance Commands                             disk_inquiry(1M)

    NAME
         disk_inquiry - disk-only version of the inquiry program

    SYNOPSIS
         /opt/SUNWstade/bin/disk_inquiry [-p][-P][-g][-t][-l  logfile
         ][devices] [-d][-q]

    DESCRIPTION
         The disk_inquiry program runs a scsi_inquiry  on  each  disk
         and  provides a listing that includes the disk firmware lev-
         els.

    OPTIONS
         The following options are supported:
         devices   Specify specific devices to query  in  the  format
         /dev/rdsk/*.
         -d   Enable dual port detection.
         -g   Enable growth defect list display.
         -l   Log data into the specified logfile.
         -p   Print the name of the physical device formatted.
         -P   Print the name of the physical device in long format.
         -q   Enable quiet printing with no headers displayed.
         -t   Read thermal values from heads 0-8.

    EXAMPLE
         The following example shows the output from the disk_inquiry
         command.
         # disk_inquiry

         AVAILABLE SCSI DEVICES:

         crp-1     crp-1     crp-1     crp-1     crp-1
         r    l    r    r    r                                      .
         Device    Vendor    Product   Rev  Serial Number

         0:c0t2d0  SEAGATE   ST32171W      SUN2.1G    7462 9711793014
         1:c0t3d0  SEAGATE   ST32171W      SUN2.1G    7462 9712812904
         2:c1t0d0  SEAGATE   ST19171FCSUN9.0G    1178 9735J28021
         3:c1t1d0  SEAGATE   ST19171FCSUN9.0G    1178 9725B61900
         4:c1t2d0  SEAGATE   ST19171FCSUN9.0G    1178 9715709389
         5:c1t3d0  SEAGATE   ST19171FCSUN9.0G    1178 9725B60684
         6:c1t4d0  SEAGATE   ST19171FCSUN9.0G    1178 9725B62651
         7:c1t5d0  SEAGATE   ST19171FCSUN9.0G    1178 9725B71152
         8:c1t6d0  SEAGATE   ST19171FCSUN9.0G    1178 9715709382
         9:c1t16d0 SEAGATE   ST19171FCSUN9.0G    1178 9725B70578
         10:c1t17d0     SEAGATE   ST19171FCSUN9.0G    1178 9725B71724
         11:c1t18d0     SEAGATE   ST19171FCSUN9.0G    1178 9725B61975
         12:c1t19d0     SEAGATE   ST19171FCSUN9.0G    1178 9725B71012

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                             disk_inquiry(1M)

         13:c1t20d0     SEAGATE   ST19171FCSUN9.0G    1178 9725B72636
         14:c1t21d0     SEAGATE   ST19171FCSUN9.0G    1178 9725B62749
         15:c1t22d0     SEAGATE   ST19171FCSUN9.0G    1178 9725B61533

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         checkcron(1M),   crontab(1),    cron(1M),    clearcache(1M),
         config_solution(1M),        luxadm(1M),        rasagent(1M),
         ras_install(1M), sanbox(1M), testt3(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

disktest (1M) | [ Top ]

    Maintenance Commands                                 disktest(1M)

    NAME
         disktest - tests the functionality of fibre channel disks

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/disktest
         [ standard-arguments ]

         dev=logical-path, | partition=0-7, |
         rawsub=[ enable|disable ], |
         rawiosize=size, | rawcover=percentage, | method=method, |
         fstest=[ enable|disable ], | fssize=file-system-size, |
         fsiosize=transfer-size, | userpattern=data-pattern, |
         selectpattern=[ user|critical|all ]

    DESCRIPTION
         The disktest test verifies the functionality of Sun StorEdge
         fibre  channel  disks using the Media, File System and Asyn-
         chronous I/O subtests.  An  instance  of  disktest  will  be
         present for each internal fibre channel disk.

         OPTIONS

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=logical-path
              This is the name of the disk that is returned by luxadm
              probe.

         partition=0-7
              Specifies   the   partition   number   to    test    as
              partition=6(/Export/s6) if mounted on partition 6.

         rawsub=enable|disable
              Enables or disables the media subtest.

         selectpattern=user|critical|allpattern
              Choice of pattern to  run.  critical  is  the  top-most
              critical pattern for fault detection. all patterns also
              includes  the  critical  patterns.   critical  is   the
              default pattern.

         method=method
              Specifies the Media Test Methods (SyncIO and  AsyncIO).
              The  valid  values for method are:  SyncIO, AsyncIO, or
              SyncIO+AsyncIO.

         rawcover=percentage
              Specifies media coverage percentage from 0-100% of  the

    SunOS 5.6          Last change: 11 March 2003                   1

    Maintenance Commands                                 disktest(1M)

              partition.

         rawiosize=size
              Specifies the media size to transfer. size can  be  one
              of the following:
              2KB|6KB|32KB|64KB|128KB|256KB|512KB.

         fstest=enable|disable
              Enables or disables the file system subtest.

         userpattern=data-pattern
              Specifies a specific pattern for file system testing.

         fssize=file-system-size
              Indicates the file system subtest size in kilobytes  or
              megabytes:
              K|k|KB|kb-kilobytes
              M|m|MB|mb-megabytes
              [ 512KB|2MB|8MB|20MB|100MB|200MB ]

         fsiosize=transfer-size
              Indicates the size  of  the  file  system  subtest  I/O
              transfer in bytes or kilobytes:
              [ 512B|1024B|10KB|40KB|80KB ]

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified, along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same   mode   as  tests  run  when  executed  with  the
              vtsui.online command. It  is  a  non-intrusive  version
              that  doesn't  significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SunOS 5.6          Last change: 11 March 2003                   2

    Maintenance Commands                                 disktest(1M)

    SEE ALSO
         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 11 March 2003                   3

fcdisktest (1M) | [ Top ]

    Maintenance Commands                               fcdisktest(1M)

    NAME
         fcdisktest - tests the functionality of internal fibre chan-
         nel disk

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/fcdisktest
         [ standard-arguments ]

         dev=logical-path, | partition=0-7, | rawsub=[ enable|disable
         ], |
         rawiosize=size, | rawcover=percentage, | method=method, |
         fstest=[ enable|disable ], | fssize=file-system-size, |
         fsiosize=transfer-size,   |   userpattern=data-pattern,    |
         selftest=[ enable|disable ], |
         wrdevbuf=[    enable|disable    ],     |     selectpattern=[
         user|critical|all ], |
         wrdevbufiterations=passes-per-pattern,           checkrdls=[
         enable|disable ] ]

    DESCRIPTION
         The  fcdisktest  test  verifies  the  functionality  of  Sun
         StorEdge  internal  fibre channel disk using the Media, File
         System, Asynchronous I/O,  Send  Diagnostic  and  Write/Read
         Buffer  subtests.  An instance of fcdisktest will be present
         for each internal fibre channel disk.

         OPTIONS

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=logical-path
              This is the name  of  the  disk  that  is  returned  by
              discman(1M).

         partition=0-7
              Specifies   the   partition   number   to    test    as
              partition=6(/Export/s6) if mounted on partition 6.

         rawsub=enable|disable
              Enables or disables the media subtest.

         selftest=enable|disable
              Runs the specified disks internal  diagnostics  if  any
              are available.

         wrdevbuf=enable|disable
              Enable the write read device buffer test.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                               fcdisktest(1M)

         selectpattern=user|critical|allpattern
              Choice of pattern to  run.  critical  is  the  top-most
              critical pattern for fault detection. all patterns also
              includes  the  critical  patterns.   critical  is   the
              default pattern.

         wrdevbufiterations=passes-per-pattern
              Runs the  specified  number  of  each  pattern  to  the
              Write/Read Buffer on the disk.

         checkrdls=enable|disable
              Monitor read link status counters for errors.

         method=method
              Specifies the Media Test Methods (SyncIO and  AsyncIO).
              The  valid  values for method are:  SyncIO, AsyncIO, or
              SyncIO+AsyncIO.

         rawcover=percentage
              Specifies media coverage percentage from 0-100% of  the
              partition.

         rawiosize=size
              Specifies the media size to transfer. size can  be  one
              of the following:
              2KB|6KB|32KB|64KB|128KB|256KB|512KB.

         fstest=enable|disable
              Enables or disables the file system subtest.

         userpattern=data-pattern
              Specifies a specific pattern for file system testing.

         fssize=file-system-size
              Indicates the file system subtest size in kilobytes  or
              megabytes:
              K|k|KB|kb-kilobytes
              M|m|MB|mb-megabytes
              [ 512KB|2MB|8MB|20MB|100MB|200MB ]

         fsiosize=transfer-size
              Indicates the size  of  the  file  system  subtest  I/O
              transfer in bytes or kilobytes:
              [ 512B|1024B|10KB|40KB|80KB ]

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified, along with the other options.

         -u   Displays command-line usage information.

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                               fcdisktest(1M)

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same   mode   as  tests  run  when  executed  with  the
              vtsui.online command. It  is  a  non-intrusive  version
              that  doesn't  significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),    fctapetest(1M),    ifptest(1M),     lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

fctapetest (1M) | [ Top ]

    Maintenance Commands                               fctapetest(1M)

    NAME
         fctapetest - tests the functionality of Fibre  Channel  tape
         drives

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/fctapetest

         [ standard-arguments ]
         [-uvelf ] | [-o "dev=device-name ] | -d=density |
         m=mode | l=length | s=block-count | ft=file-test

    DESCRIPTION
         The fctapetest  test  verifies  the  functionality  of  Sun-
         supported Fibre Channel tape drives by writing, reading, and
         verifying blocks of data. An instance of fctapetest will  be
         present for each internal Fibre Channel tape drive.

         The fctapetest diagnostic provides a variety  of  tests  for
         Sun-supported Fibre Channel tape drives. The fctapetest does
         not test the tape library; it presumes that the user of  the
         diagnostic  either  uses tape-library management software or
         manually inserts tapes into the drives.

         If the  fctapetest  test  is  not  running  in  the  default
         compression  mode, you need to specify l for low compression
         (that is, /dev/rmt/xxl.)

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         fctapetest -o "dev=/dev/rmt/01 | m=Write/Read"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         -odevice-name
              Test-specific command arguments.

         -d=density
              The tape data density.  The default is C  for  compres-
              sion.   By  specifying  the  l option, you instruct the
              tape device to run at "low" compression.

         dev=device_name
              The name of the tape device.  This is a required field.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                               fctapetest(1M)

         m=mode
              Setting m to "Readonly" will test the tape drive  as  a
              read-only device.  The default mode is "Readwrite."

         l=length
              How long the tape test should run. A short test is 1000
              blocks;  a long test is 70000 blocks. EOT means to con-
              tinue to write until end-of-tape.  Specified  means  to
              use the exact number of blocks specified in the s argu-
              ment.

         s=block_count
              When the l argument is set  to  "Specified,"  use  this
              argument  for the count of the number of blocks to read
              or write on the tape.

         ft=enable|disable
              Enable the file test to write multiple  file  marks  on
              the tape.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),    fcdisktest(1M),    ifptest(1M),     lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

ifptest (1M) | [ Top ]

    Maintenance Commands                                  ifptest(1M)

    NAME
         ifptest -  tests  functionality  of  the  PCI  FC-100  Fibre
         Channel-Arbitrated loops (FC-AL) card

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/ifptest

         [ standard-arguments ]
         -uvelf] | -o dev=physical-path | mbox=[enable|disable] |
         fwrevcheck=[enable|disable] | checksum=[enable|disable] |
         modrevcheck=[enable|disable]

    DESCRIPTION
         The ifptest tests the functionality of the PCI FC-100  FC-AL
         card  when  there  are  no devices attached to the loop. The
         driver checks for devices on the fibre loop. If devices  are
         detected  the  driver  blocks  any  diagnostic commands.  An
         error message will be  displayed  if  you  are  attached  to
         storage.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         ifptest  -o   "dev=/devices/pci@f,2000/SUNW,ifp@2:devctl   |
         mbox=Enable"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=physical-path
              There is no default for physical-path.

         mbox=enable|disable
              Enables or disables the mailbox loopback command.  This
              test  writes  data patterns into the mailboxes and then
              reads them back from the output mailboxes and  verifies
              the data is correct.

         fwrevcheck=enable|disable
              Enables or disables the firmware  revision  check  com-
              mand. This test extracts the firmware revision from the
              RISC  firmware  code  and  verifies  against   expected
              values.

         checksum=enable|disable
              Enables or disables the firmware checksum command. This
              command  instructs  the  interface's  RISC processor to

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                  ifptest(1M)

              calculate the checksum on  the  current  microcode  and
              then compare it against the checksum that was loaded in
              with the microcode.

         modrevcheck=enable|disable
              Enables or disables the firmware checksum command. This
              command  returns  the  revision level of several submo-
              dules on the interface card. Although this test is exe-
              cuted when enabled, the module revision levels are only
              printed out in VERBOSE mode.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),   fcdisktest(1M),   fctapetest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                  ifptest(1M)

    SunOS 5.6         Last change: 20 December 2002                 3

jnitest (1M) | [ Top ]

    Maintenance Commands                                  jnitest(1M)

    NAME
         jnitest - tests the functions of the Sun  StorEdge  2  Gbyte
         PCI Fibre Channel Network Adapter JNI boards.

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/jnitest

         [-uv] | [-o dev=physical-path] |
         selftest=[enable|disable] |
         ilb=[enable|disable] |
         elb=[enable|disable] |
         iterations=number |
         userpattern=0x-hex-number |
         selectpattern=[user|critical|all]

    DESCRIPTION
         The jnitest tests the functions of the PCI 2 Gbyte FC-AL JNI
         board.

    OPTIONS
         WARNING: Do not run jnitest while other tests are running.

         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         jnitest                                                   -o
         "dev=/devices/pci@8,700000/SUNW,jfca@2/fp@0,0:devctl|ilb=disable"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=physical-path
              Specifies the  path  to  the  HBA.  This  is  the  path
              returned by 'luxadm -e port' There is no default.

         selftest=enable|disable
              Enables or disables the selftest command. Evaluates the
              functionality of the ISP hardware.  The default is dis-
              able.

         ilb=enable|disable
              Enables or disables the internal  loopback  test.  Per-
              forms  internal  loopback  test within the host adapter
              ISP hardware. NOTE: A loopback cable must  be  inserted
              in order for this test to run.  Default is disable.

         elb=enable|disable

    SunOS 5.6           Last change: 05 May 2003                    1

    Maintenance Commands                                  jnitest(1M)

              Enables  or  disables  the  external   loopback   test.
              Default is enable.

         iterations=number
              Controls the number of times  the  loopback  test  will
              run, for example, 100.  The default is 1000.

         userpattern=0xpattern
              Lists  the  data  pattern   to   loop,   for   example,
              0x7e7e7e7e. Only used if selectpattern is set to user.

         selectpattern=user|critical|all
              Choice of pattern to  run.  user  is  the  one  pattern
              entered above. critical is the I/O pattern causing dev-
              ice failure. all is a complete list of patterns. criti-
              cal is the default pattern.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test- specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6           Last change: 05 May 2003                    2

lbf (1M) | [ Top ]

    User Commands                                              lbf(1)

    NAME
         lbf - A loop back  frame  diagnostic  utility  program  that
         tests Fibre Channel-Arbitrated loops (FC-AL)

    SYNOPSIS
         -x = xfer-size | -k = xfer-size | -n= passcount |  -t = test_pattern |
         [-c] | [ -v|-q|-o] | [ -a] | [ -i] | device ]

    DESCRIPTION
         The lbf test diagnoses a FC-AL by sending a data  frame  out
         of  a  Host Adaptor transmit port and receiving the frame on
         its receive (input) port.  If  the  frame  returns  with  an
         error,  or does not return at all, lbf flags an error condi-
         tion indicating a bad loop; that is -  a  loop  that  cannot
         transmit data reliably.

         Note: This command is not valid on the PCI Qlogic 2100 HBA.

         There are many loop components that may cause  the  failure,
         including  the Host Adaptor, any attached Sun StorEdge A5x00
         storage arrays (Interface  Board,  Backplane,  Disk  Drives,
         etc), cables, GBICS, hubs, and switches.

         If the transfer size is greater  than  the  maximum  allowed
         FC-AL  frame  size, lbf sends out multiple frames containing
         the data pattern.

         Note: 0x7e7e7e7e is a good pattern for  testing  FC-AL  loop
         components.

         To obtain the correct device path name to pass as  an  argu-
         ment,  you  must  use  the  luxadm(1M)  command  with the -e
         option.  See the example below for instructions.

    OPTIONS
         The following are valid options for lbf:

         -x xfer-size   Specifies the byte transfer size.  Enter  the
                        byte  xfer  size in multiples of 4 up to 64K.
                        Use option -k to specify Kbyte transfers.

         -k xfer-size   Specifies the Kbyte transfer size. Enter  the
                        Kbyte  xfer size in multiples of 4 up to 64K.
                        Use option -x to specify byte transfers.

         -n passcount   Specifies the number of passes (passcount).

         -t test-pattern
                        Specifies a 4-byte test  pattern  (test  pat-
                        tern). For example, 0x7e7e7e7e.

    SunOS 5.6         Last change: 20 December 2002                 1

    User Commands                                              lbf(1)

         -c             Compares the returned data to the transmitted
                        data.

         -v             Enables verbose mode.

         -q             Enables quiet mode (no output to stdout).

         -o             Reports throughput.

         -a             Uses all data patterns.

         -i             Ignores errors.

         device         Specifies the Host Adaptor  and  port  to  be
                        tested.

    EXAMPLE
         The following example shows how to use the luxadm(1M) command to
         obtain the device path to pass as an argument to lbf

         # luxadm -e port
         Found path to 9 HBA ports

         /devices/sbus@3,0/SUNW,socal@d,10000:0                      NOT CONNECTED
         /devices/sbus@3,0/SUNW,socal@d,10000:1                      NOT CONNECTED
         /devices/sbus@a,0/SUNW,socal@d,10000:0                      NOT CONNECTED
         /devices/sbus@a,0/SUNW,socal@d,10000:1                      CONNECTED
         /devices/pci@4,2000/pci@2/SUNW,qlc@4/fp@0,0:devctl     CONNECTED
         /devices/pci@4,2000/pci@2/SUNW,qlc@5/fp@0,0:devctl     CONNECTED
         /devices/pci@5,2000/pci@2/SUNW,qlc@4/fp@0,0:devctl     CONNECTED
         /devices/pci@5,2000/pci@2/SUNW,qlc@5/fp@0,0:devctl     NOT CONNECTED
         /devices/pci@7,2000/SUNW,qlc@2/fp@0,0:devctl                CONNECTED

         The following example transmits one hundred 2 Kbyte (2048) data frames
         containing the data pattern 0x7e7e7e7e and compares the results.

         # lbf -k 2 -n 100 -t 7e7e7e7e -c /devices/sbus@1f,0/SUNW,socal@0,0:1

         Example of good return:
         PASS    Pat=0x7e7e7e7e   Cnt=100   /devices/sbus@1f,0/SUNW,socal@1,0:0

         Example of bad return:
         FAIL=42         Pat=0xaa55aa55   Cnt=0     /devices/sbus@1f,0/SUNW,socal@1,0:0

         Example of invalid HBA (Qlogic 2100)

         # lbf -k 2 -n 100 -a  /devices/pci@1f,2000/SUNW,ifp@1:devctl
         WARNING:  Device  /devices/pci@1f,2000/SUNW,ifp@1:devctl  is
         not supported by lbf!

    SunOS 5.6         Last change: 20 December 2002                 2

    User Commands                                              lbf(1)

    ERROR CODES
         If lbf has a failure other than a  command  line  error,  it
         returns  an  error code.  A one-line description of the code
         is output when the -v option is used.

         The following error codes are used:
              0x41 65   Failed to open the specified device.
              0x42 66   Failed to get the Fibre Channel Loop Map.
              0x43 67   Failed ioctl to send Loop Back Frame.
              0x44 68   Failed transmit / receive frame compare.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

linktest (1M) | [ Top ]

    Maintenance Commands                                 linktest(1M)

    NAME
         linktest - diagnose Sun StorEdge network passive Fibre Chan-
         nel components

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/linktest

    DESCRIPTION
         The linktest test is delivered with  the  Storage  Automated
         Diagnostic  Environment  software.  This  test  verifies the
         functionality for passive FC components  in  a  SAN  or  DAS
         environment.  The  passive  components  include GBICs, fibre
         channel, FC-Switch, MIA, and FC adapters. The test will test
         both  ends  of  the  link  segment (if possible) and enter a
         guided isolation when a failure is detected.

         linktest  is  executed  from   the   topology   view   under
         "Diagnose->Diagnostic    Tests->Test   from   Topology"   or
         "Monitor->Monitor Topology-> (Select a topology)"  by  right
         clicking on a link segment's icon. (In order to see the link
         segment icon, the Links on/off button at the bottom  of  the
         topology  screen  must  be  showing  "Links off".) Typically
         linktest is run when the user detectes a bad or intermittent
         link via an "alert" or by the visual detection on the topol-
         ogy graph (a red link).

         After starting linktest, the "Test Manager" will be utilized
         to guide the user through FRU isolation.

         OPTIONS

         Options can be one or more of the following and can be  used
         from the GUI that are listed below.

         email=email@address.com
              User specific e-mail address for example: user@sun.com.

         verbose=verbose
              User selects verbose on/off.

         userpattern=pattern
              User specific  pattern  in  hexadecimal,  for  example:
              pattern=0x4a4a4a4a.

         selectpattern=user|critical|all
              Choice of pattern to  run.  user  is  the  one  pattern
              entered  above.   critical  is  the I/O pattern causing
              device failure. all is a  complete  list  of  patterns.
              critical is the default pattern.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                 linktest(1M)

      Standard Command-Line Arguments
         Currently the CLI is NOT supported for linktest.

    SEE ALSO
         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

qlctest (1M) | [ Top ]

    Maintenance Commands                                  qlctest(1M)

    NAME
         qlctest - tests the functions of the Sun  StorEdge  1  Gbyte
         and  2  Gbyte  PCI  and  cPCI  Fibre Channel Network Adapter
         boards.

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/qlctest

         [ standard-arguments ]
         [-uvelf] | [-o dev=physical-path] | run_connect=[Yes|No] |
         selftest=[enable|disable]    |    mbox=[enable|disable]    |
         checksum=[enable|disable] |
         ilb-10=[enable|disable] |
         ilb=[enable|disable] | elb=[enable|disable] | xcnt=Ox-number
         |
         iterations=number | userpattern=0x-hex-number |
         selectpattern=[user|critical|all]

    DESCRIPTION
         The qlctest tests the functions of the PCI and cPCI 1  Gbyte
         and 2 Gbyte FC-AL board.

    OPTIONS
         WARNING: Do not run qlctest while other tests are running.

         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         qlctest                                                   -o
         "dev=/devices/pci@8,200/pci@2/SUNW,qlc@4/fp@0,0:devctl     |
         run_connect=No"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=physical-path
              Specifies the name of an ses device in  the  enclosure.
              This  is  the  name  of  the device that is returned by
              discman(1M), such as qlc0.Thereisnodefault.

         run-connect=Yes|No
              If run-connect is set to Yes, qlctest will run when the
              tested  port is connected to storage. If the port being
              tested is not connected to storage, this option has  no
              effect.  There is no default.

         selftest=enable|disable

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                  qlctest(1M)

              Enables or disables the selftest command. Evaluates the
              functionality  of  the  ISP  hardware.   The default is
              Enable.

         mbox=enable|disable
              Enables or disables the mailbox loopback command.  This
              test  writes  data patterns into the mailboxes and then
              reads them back from the output mailboxes and  verifies
              the data is correct.  Default is Enable.

         checksum=enable|disable
              Enables or  disables  the  checksum  command.  Runs  an
              internal  checksum test on the installed firmware. This
              verifies that the RISC RAM on the card is  fully  func-
              tional and that the installed firmware is still intact.
              This test also serves as a quick RAM check of the  RISC
              RAM.  Default is Enable.

         ilb-10=enable|disable
              Enables or disables the internal 10-bit test.  Performs
              internal  loopback  test  within  the  host adapter ISP
              hardware at the 10-bit interface. Default is Enable.

         ilb=enable|disable
              Enables or disables the internal 1-bit  test.  Performs
              internal  loopback  test  within  the  host adapter ISP
              hardware at the 1-bit interface. Default is Enable.

         elb=enable|disable
              Enables or disables the  external  loopback  test.  The
              desired  data  pattern,  transfer length, and iteration
              count can be selected via  the  test  parameters  menu.
              Requires  a  cable for this intervention test.  Default
              is Disable.

         xcnt=0x-number
              Controls the packet size to be transferred,  for  exam-
              ple, 0x1000.  The default is 10000.

         iterations=number
              Controls the number of times  the  loopback  test  will
              run, for example, 100.  The default is 10.

         userpattern=0xpattern
              Lists  the  data  pattern   to   loop,   for   example,
              0x7e7e7e7e.

         selectpattern=user|critical|all
              Choice of pattern to  run.  user  is  the  one  pattern
              entered above. critical is the I/O pattern causing dev-
              ice failure. all is a complete list of patterns. criti-
              cal is the default pattern.

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                  qlctest(1M)

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test- specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),   linktest(1M),   ras_admin(1M),   ras_revcheck(1M)
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

ras_admin (1M) | [ Top ]

    Maintenance Commands                                ras_admin(1M)

    NAME
         ras_admin - command  line  interface  to  Storage  Automated
         Diagnostic Environment

    SYNOPSIS
         /opt/SUNWstade/bin/ras_admin command

    DESCRIPTION
         ras_admin provides a command line interface  to  the  common
         Automated   Diagnostic   Environment  administrative  tasks.
         ras_admin accepts one optional command at a time.

    OPTIONS
         The following option commands can be passed as arguments  to
         ras_admin:

         agent [ -s  |  -p  ] [ -h host ] [ -? ]
              Enables the user to manually start (-s)  or  stop  (-p)
              the Storage Automated Diagnostic Environment agents.

         alert_list
              Displays  a  list  of  current  alerts  (warnings   and
              errors).

         alert_delete
              Deletes selected alerts.

         device_delete_all
              Deletes all devices.

         device_detail
              Displays the details about the device(s).

         device_list
              Displays a list of devices in a given configuration.

         discover_deviceIP
              Discovers devices  entered  in  the  /etc/deviceIP.conf
              file.

         discover_a5k
              Discovers a Sun StorEdge A5000 array  on  a  master  or
              slave.

         discover_3510
              Discovers a Sun StorEdge 3310 or 3510 array on a master
              or slave.

    ] [ -p prefix ]

    SunOS 5.6          Last change: 04 April 2003                   1

    Maintenance Commands                                ras_admin(1M)

         discover_subnet [ -h host ] [ -s subnet ] [ -
              a hostname_as_prefix
              [ -m monitoring_off ] [ -? ]
              Finds Sun StorEdge T3+ arrays and Sun StorEdge  network
              FC  switches  on  the  subnet.  The subnet searches for
              valid devices and the search results are sent  back  to
              the Master agent.  The Master agent moves valid devices
              into the main configuration file.

         discover_t3
              Finds  a  Sun  StorEdge  T3  or  T3+  array  from   the
              /var/adm/messages.t3 logfile.

         discover_solution
              Finds a Sun StorEdge 3900 or 6900  Series  system  from
              the Golden Snapshot.

         discover_switch
              Finds Sun StorEdge  network  switches  that  have  been
              entered into the /etc/fcswitch file.

         email_list
              Displays a list of email addresses that have been  con-
              figured for notification.

         ethers_list
              Displays a list of the ethers file.

         ethers_add
              Adds an entry to the ethers file.

         ethers_delete
              Deletes an entry from the ethers file.

         host_list
              Displays a list of hosts.

         host_detail
              Displays the details about the host(s).  Current  hosts
              include:   a3500fc,  a5k, brocade, host, internal, san,
              switch, or t3.

         host_delete [ -n hostname ] [ -d delete_devices ]
              Deletes a specified  host  from  the  configuration..TP
              site_info_upd Enables the user to update the customer's
              site information.

         login_list
              Displays a list of all users that are authorized to log
              in.

         login_add [ -l login ] [ [ -p password ] | -

    SunOS 5.6          Last change: 04 April 2003                   2

    Maintenance Commands                                ras_admin(1M)

              r  role1 | role2 ]
              [ -? ] [ Roles = { user | admin | script | test}
              Adds a new user to  the  Storage  Automated  Diagnostic
              Environment.

         login_delete [ -l login ] [ -? ]
              Deletes an existing user's login  privileges  from  the
              Storage Automated Diagnostic Environment.

    -? ]
         login_update [ -l login ] [ [ -p password ] | -
              r role1 |role2 ] [
              [ Roles = {user | admin | script | test}
              Updates a user's password or a user's login privileges.

         password_change
              Changes the password of a device.

         provider_list
              Displays a status of providers.

    ] [ -i ip_address ]
         provider_on  -p [ sunmc | rss | srs | setconnect ] [ -
              f frequency
              [ -? ]
              Turns on a notification provider.

    ] [ -i ip_address ]
         provider_off -p [ sunmc | rss | srs | setconnect ] [ -
              f frequency
              [ -? ]
              Turns off a notification provider.

         push_config [ -h hostname | ALL ] [ -? ]
              Updates slave configuration changes.  push_config  syn-
              chronizes  all  slave instances under a master instance
              to ensure proper monitoring and notification.

         report_list
              Displays  a  list  of  all  available   instrumentation
              reports.   The  reports  summarize  system information,
              including agent statistics and  system  thresholds,  on
              every device that is currently supported by the Storage
              Automated Diagnostic Environment.

         report [ -? ] [ -k report_key ] [ -h host ]
              Displays a specified report.   Report  options  include
              Agent  Statistics,  Thresholds  List,  Traffic  Report,
              Switch Graph, and Switch Data.

         review_config
              Reviews the configuration.

    SunOS 5.6          Last change: 04 April 2003                   3

    Maintenance Commands                                ras_admin(1M)

         site_info
              Retrieves the customer's site information.  The  manda-
              tory  fields,  denoted  with  an asterisk, must be com-
              pleted before any other maintenance function.

         switch_add [-n name ] [ -i ip_address ] [ -h host ] [ -? ]
              Adds a Sun StorEdge network FC  switch-8  or  switch-16
              switch to the configuration.

    -? ]
         t3_add [-n name ] [ -i ip_address ] [ -h host ] [ -
              p password ] [
              Adds a Sun StorEdge T3 or T3+ array to  the  configura-
              tion.

         topo Displays a list of the current topologies.

         topo_list
              Displays the details of devices  that  exist  within  a
              current topology.

    EXAMPLE
         The following is  an  example  of  ras_admin  run  with  the
         site_info optional command.

         # /opt/SUNWstsade/bin/ras_admin site_info
         Customer: Network Storade Serviceability Labs
         Contract: 12345678
         CustNumber:    5555
         Address:  500 Eldorado Blvd, Broomfield, CO, 80026, USA
         Contact:  John Smith
         Phone:         353-555-5555
         Email:         smith@sun.com
         Production:    N

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         ras_admin(1M),      ras_discover(1M),       ras_install(1M),
         ras_patchlist(1M), ras_revcheck(1M),

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 04 April 2003                   4

ras_discover (1M) | [ Top ]

    Maintenance Commands                             ras_discover(1M)

    NAME
         ras_discover - discovers devices and updates the  configura-
         tion file on the slave and the master.

    SYNOPSIS
         /opt/SUNWstade/bin/ras_discover

         [ standard-arguments ]
         [  -d=device_type ],  [   -f=monitoring_frequency  ],  [   -
         h=help ]

    DESCRIPTION
         ras_discover automatically discovers devices and updates the
         configuration  file  on  both  the slave and the master. The
         monitoring frequency may also be set. This allows  installa-
         tion  scripts  to be executed on a host with storage devices
         without having to use the GUI on the master. Currently, only
         Sun StorEdge A5000 array devices are supported.

         Note:  ras_discover can be used on a slave.

    EXAMPLES
         Note:

         All types must be separated by a pipe (|).

         Example:

         /opt/SUNWstade/bin/ras_discover -d a5k|t3 -f 30

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified.

         -d   Displays device types.

         -f   Specifies the monitoring frequency (in minutes).

         -h   Displays help.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                             ras_discover(1M)

         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),   switch2test(1M),  t3ofdg(1M),  t3test(1M),
         t3volverify(1M),         6120ofdg(1M),         6120ondg(1M),
         6120volverify(1M) vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

ras_install (1M) | [ Top ]

    Maintenance Commands                              ras_install(1M)

    NAME
         ras_install - executes the ras_install command to start  the
         Storage Automated Diagnostic Environment services.

    SYNOPSIS
         /opt/SUNWstade/bin/ras_install

         [ standard-arguments ]

         [ -h ] [ -n | -m | -s  ]
         -S [ Y | N ] [ -c|-p ] [ -A|-C ]

    DESCRIPTION
         ras_install sets up the  HTTP  service,  adds  a  cron,  and
         registers  with  the  Master  Agent  in  the case of a Slave
         install.  You must run ras_install manually upon  completing
         the  pkgadd - ..  Execute ras_install anytime after the ini-
         tial execution and setup when you need to modify the cron or
         when  you  need  to  change the Master/Slave title of a Host
         agent.

         Once you have  executed  ras_install,  you  can  launch  the
         Storage  Automated  Diagnostic  Environment  GUI  from a web
         browser.

    OPTIONS
         Options can be one or more of the following:

         -h   Display the usage for the arguments for ras_install.

         -n   Net-Connect automatic installation.

         -m   Install this instance of the Agent as Master.

         -s master_ip
              Install this instance of the Agent as Slave.  master_ip
              is  the  IP  Address  or IP Name of the host configured
              with an instance of the  Storage  Automated  Diagnostic
              Environment as Master.

         -S [Y | N ]
              Enable the security.  Y is enable the SSL; N is disable
              the SSL.

         -c   Enable      the      automatic       execution       of
              /opt/SUNWstade/bin/rasagent from cron.

         -p   Postpone      the      automatic      execution      of
              /opt/SUNWstade/bin/rasagent from cron.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                              ras_install(1M)

         -A   Install as Agent on any server.

         -C   Install on Management Console that has no storage  dev-
              ices. Ignores Solaris version.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         checkcron(1M),   crontab(1),    cron(1M),    clearcache(1M),
         config_solution(1M),      disk_inquiry(1M),      luxadm(1M),
         rasagent(1M), sanbox(1M), testt3(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

ras_patchlist (1M) | [ Top ]

    Maintenance Commands                            ras_patchlist(1M)

    NAME
         ras_patchlist - executes PatchPro  software  and  creates  a
         list of devices and required patches.

    SYNOPSIS
         /opt/SUNWstade/bin/ras_patchlist

         [ standard-arguments ]
         [   -s=command_status  ],  [   -p=print_report   ],   [    -
         S=session_id  ], [  -b=background ]

    DESCRIPTION
         ras_patchlist automatically assesses patches needed for your
         system  and creates a printable list of devices and requires
         patches.

    EXAMPLES
         Note:

         All types must be separated by a pipe (|).

         Example:

         /opt/SUNWstade/bin/ras_patchlist -S storade  | -p

    OPTIONS
         The following are valid options for ras_patchlist:

         -s   Displays the status of the current command.

         -p   Prints the ras_patchlist report.

         -S   Displays  the  session  ID.   (The  user   should   use
              'storade'.)

         -b   Runs the ras_patchlist command in the background.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         ras_admin(1M),      ras_discover(1M),       ras_install(1M),
         ras_patchlist(1M),     ras_remote(1M),     ras_revcheck(1M),
         ras_upgrade(1M)

    SunOS 5.6          Last change: 04 April 2003                   1

    Maintenance Commands                            ras_patchlist(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 04 April 2003                   2

ras_remote (1M) | [ Top ]

    Maintenance Commands                               ras_remote(1M)

    NAME
         ras_remote - executes Storage Automated Diagnostic  Environ-
         ment commands remotely.

    SYNOPSIS
         /opt/SUNWstade/bin/ras_remote

         [ standard-arguments ]
         [  -c | - d | -p | -? | -s | -i  ]

    DESCRIPTION
         ras_remote lists and executes commands remotely.  Note:  The
         user  must  create the '.ras_remote' file in the same direc-
         tory that the ras_remote command is located, and must   have
         the following information:

         login     login (agent login name)

         password  password (agent password)

         ip        ip address of remote agent (optional)

         wgetdir   path to wget (default is the current directory)

    OPTIONS
         The following are valid options for ras_remote:

         -?             Displays the help.

         -d             Enables debugging.

         -c             Displays a list of available commands.

         -p             Use  the  proxy.   This  is  turned  off   by
                        default.

         -s             Use the secure socket layer (ssl).

         -i ip_address  Displays the IP address of the device.

         -wgetdir       Displays the path to wget.   The  default  is
                        the current directory.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SunOS 5.6          Last change: 04 April 2003                   1

    Maintenance Commands                               ras_remote(1M)

    SEE ALSO
         ras_admin(1M),      ras_discover(1M),       ras_install(1M),
         ras_patchlist(1M), ras_revcheck(1M), ras_upgrade(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 04 April 2003                   2

ras_revcheck (1M) | [ Top ]

    Maintenance Commands                             ras_revcheck(1M)

    NAME
         ras_revcheck - checks the software, hardware,  and  firmware
         revision levels.

    SYNOPSIS
         /opt/SUNWstade/bin/ras_revcheck
         [ standard-arguments ]

         [ -h=hostname ], [ -m=config-matrix-name ], -M= [A3500 |  T3
         |  A5K  |  D2 | Driver | FC_DISK | HBA | Silkworm | Switch |
         Switch_2GB | TAPE | V880Disk | VE ], [ -e=email_address ], [
         -b=background ]

    DESCRIPTION
         ras_revcheck checks the  software,  hardware,  and  firmware
         revision  levels  of  all user-selected modules.  The report
         displays the current revision, the  expected  revision,  and
         upgrade information.

    OPTIONS
         Note: All options must  be  listed  in  a  quoted  list  and
         separated by a pipe (|).

         Example 1:

         /opt/SUNWstade/bin/ras_revcheck   -h   "   "   -m   "config-
         matrix_3.13"
         -M "A3500 | Driver | FC_Disk | HBA  |  V880DISK  |  "  -e  "
         john.smith@sun.com"

         Example 2:

         /opt/SUNWstade/bin/ras_revcheck -h "crash6"
         -m "config-matrix_3.12" -M "A5K | Driver | FC_Disk |  HBA  |
         Brocade | Switch | T3 | " -e " "

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         -h hostname
                   Runs the hostname command on the  specified  host-
                   name.  If a hostname is not specified, the command
                   will run on the local machine.   This  command  is
                   optional.

         -m matrix_name
                   Specifies the configuration matrix  name  used  to

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                             ras_revcheck(1M)

                   run  revision  check.  If  the  user  specifies an
                   incorrect or invalid matrix name, an error occurs.
                   This command is required.

                   Note:  Check for available  matrix  names  in  the
                   opt/SUNWstade/System/Matrix   directory.    It  is
                   recommended that you use the  most  recent  matrix
                   name.  For example: config-matrix_3.13.

         -M Modules
                   Specifies the module against which revision  check
                   is run.  At least one module must be specified for
                   revision check to run.

         The following is a list of the modules that  can  be  speci-
         fied.

              A3500
                   Sun  StorEdge  A3500FC  array  patches  and   disk
                   firmware

              T3   Sun StorEdge T3 and T3+  array  patches  and  disk
                   firmware

              A5K  Sun StorEdge A5x00 array patches and disk firmware

              D2   Sun StorEdge D2 array patches and disk firmware

              Driver
                   Host patches

              FC_DISK
                   Sun Internal Fibre Channel Disk firmware

              HBA  HBA patches

              Silkworm
                   Brocade Silkworm firmware

              Switch
                   Sun StorEdge network 1 GB FC switch-8 and  switch-
                   16 switch

              Switch_2G
                   Sun StorEdge network 2 GB FC switch-8 and  switch-
                   16 switch

              TAPE Sun Fibre Channel Tape firmware

              V880DISK
                   Sun Fire V880 Disk firmware

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                             ras_revcheck(1M)

              VE   Virtualization Engine firmware

         -e email_address
                   Specifies the  email  address  to  where  revision
                   check  results  are  sent.  If no email address is
                   specified, then no results are sent.  This command
                   is optional.

         -b background
                   Runs revision check in the background.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test- specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ksestest(1M),        a5ktest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

    Maintenance Commands                             ras_revcheck(1M)

    SunOS 5.6         Last change: 20 December 2002                 4

ras_upgrade (1M) | [ Top ]

    Maintenance Commands                              ras_upgrade(1M)

    NAME
         ras_upgrade - upgrades a set of devices using PatchPro.

    SYNOPSIS
         /opt/SUNWstade/bin/ras_upgrade

         [ standard-arguments ]
         [  -s | - i  | -p | -S  | -h | -b ]

    DESCRIPTION
         ras_upgrade automatically upgrades devices using PatchPro.

    OPTIONS
         The following are valid options for ras_upgrade:

         -s             Displays the status of the upgrade.

         -i    Displays the IP list.

         -S    Displays the session ID.   (The  user  should
                        use 'storade'.)

         -p             Prints the ras_upgrade report.

         -h             Displays the help.

         -b             Runs the ras_upgrade  command  in  the  back-
                        ground.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         ras_admin(1M),      ras_discover(1M),       ras_install(1M),
         ras_patchlist(1M), ras_revcheck(1M),

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 04 April 2003                   1

rasagent (1M) | [ Top ]

    Maintenance Commands                                 rasagent(1M)

    NAME
         rasagent - monitors, collects, and reports information about
         Sun storage products.

    SYNOPSIS
         /opt/SUNWstade/bin/rasagent

         [ standard-arguments ]

         [ -T=test_mode] [ -e=dir] [ -v=version] [ -P=print]
         [ -O=dir] [ -d=debug_level] [ -D=directory] [ -?=help]
         [ -s=] [ -c=run_from_cron]

    DESCRIPTION
         rasagent is executed automatically by the cron, or  you  can
         run  it  manually  from  the  command  line.  If the Storage
         Automated Diagnostic Environment is  run  from  the  command
         line,  it will first check that another process for rasagent
         is not already running.

    OPTIONS
         Options can be one or more of the following:

         -T test_mode
              while in test mode, the  Storage  Automated  Diagnostic
              Environment  will  not  send emails and will not update
              cache.

         -e dir
              determines in which events  directory  the  events  are
              stored.

         -v version

         -P print
              print output, no email

         -O dir
              send everything, no cache

         -d level
              debug levels

              1    Minimal output; indicates start time only

              2    Verbose output; indicates the  steps  the  Storage
                   Automated Diagnostic Environment takes during exe-
                   cution.   Also  overrides  the  time   limitations
                   between executions.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                 rasagent(1M)

              3    Maximum verbosity; indicates each step the Storage
                   Automated  Diagnostic  Environment  program takes,
                   along with the commands that loaded  modules  exe-
                   cute.   toc and xml files can be found in /tmp for
                   comparisons.  Also overrides the time  limitations
                   between executions.

         -D directory
              directory for system DATA and rasagent.conf file.

         -? Help

         -s   do not save the data found.

         -c   running from the cron

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         checkcron(1M),   crontab(1),    cron(1M),    clearcache(1M),
         config_solution(1M),      disk_inquiry(1M),      luxadm(1M),
         ras_install(1M), sanbox(1M), testt3(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

sanbox (1M) | [ Top ]

    Maintenance Commands                                   sanbox(1M)

    NAME
         sanbox - access the SANbox switch diagnostic facilities

    SYNOPSIS
         /opt/SUNWstade/bin/sanbox      discover      base-ip-address
         address_range
         sanbox version ip_address
         sanbox port_status ip_address port
         sanbox port_counts  ip_address port
         sanbox reset_log ip_address
         sanbox    start_test     [-x    xfer-size,    bytes]     [-n
         number_of_passes] [-t test_pattern] [-r ] [-w wait_in_msec ]
         ip_address port
         sanbox stop_test ip_address port
         sanbox test_status ip_address port
         sanbox port_counts ip_address port
         sanbox initiators ip_address
         sanbox parameters [-s] [-M mfs_mode ] [-m mfs_timeout ]  [-e
         edtov ] [-a ratov ] [-t rttov ] ip_address port

    DESCRIPTION
         The sanbox command provides access to the SANbox  diagnostic
         facilities.   It  contains  four  main functions:  discover,
         port_status, port_counts, start_test, and test_status.

         The discover command returns a list of switch  IP  addresses
         that have been found by probing a specified IP subnet.

         The version command returns a report of version  information
         for the PROM and firmware within the switch.

         The port_status command returns a list  of  all  the  AL_PAs
         attached to the specified port.

         The port_counts command returns a list of  the  key  perfor-
         mance  metrics  for the specified port.  Included are frames
         transmitted  and  received  and  various   error   and   re-
         initialization events.

         The start_test command initiates a loop integrity  test  for
         the  specified  port.  A wait period can be specified before
         returning results or the results can be retrieved  with  the
         test_status  command.   The counts of test frames and errors
         detected accumulate for each run of the test;  these  counts
         can  be  cleared with the -r parameter or the reset_log com-
         mand.  Only one online test can be active  at  a  time;  the
         test_status  command can be used to determine the completion
         of the online test.  The test can  be  terminated  with  the
         stop_test command.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                   sanbox(1M)

         The stop_test command terminates an  active  loop  integrity
         test. It is ignored by the switch if there is no online test
         active.

         The test_status command polls  the  SANbox  switch  for  the
         results of the loop integrity test.

         The reset_log command clears the frame and error counts  for
         the online tests.

         The port_counts command reports performance and error counts
         for the port.

         The initiators command reports the list  of  HBAs/initiators
         attached  to  the  switch.   The  switch monitors PLOGIs and
         records the port and node WWN for retrieval by this command.
         The  output  lists  the  switch node, the initiator port and
         node WWNs, the port, and the AL_PA, in that order.

         The parameters command supports the reporting  and  changing
         of  the  switch  tuning  parameters.   Modification of these
         parameters may be to the temporary active  or  to  the  non-
         volatile  values.   If  no  parameters  are  specified,  the
         current active and saved parameters are reported.   If  only
         the  -s  option  is specified, the current active values are
         saved and committed to be permanent. Other parameter options
         affect only the active values unless the -s flag is used, in
         which case the active values are updated and then saved.

    RETURN VALUES
         Example return values for several commands are shown in  the
         Examples section.  The return value for the test_status com-
         mand are further defined here.  An example  of  the  command
         follows:

              % sanbox test_status 123.456.1.22 1 IP:    123.456.1.22
              port_test_status:   1 port_test_count:     10
              port_fail_count:    0

         The port_test_status value reflects overall status:  1 = All
         Passed, 2 = At least one failure.

         The port_test_count value shows the number  of  test  frames
         that  have  been  sent.  The port_fail_count value shows the
         number of test frames that have failed.
         The return value for  the  initiators  command  are  defined
         here. An example follows:

              % sanbox initiators 123.456.1.22
              IP:  123.456.1.22
              100000c0dd00416f  20070200000bd8d8  50800200000bd8d8  1

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                   sanbox(1M)

         0x01
              100000c0dd00416f  20010200000021f9  50200200000021f9  3
         0x02

         The first column is the switch Node WWN.  The second  column
         is  the  initiator's  Port  WWN.   The  third  column is the
         initiator's Node WWN. The fourth column is the  switch  port
         number.  The last column is the AL_PA of the HBA.

    OPTIONS
         The following options are supported:

         sanbox discover

         base_ip_address
              The base IP address of the network  that  contains  the
              SANbox switches. For example:  123.456.1.22

         address_range
              The number of consecutive addresses to probe.  This  is
              usually less than 256 and is based on the subnet mask.

         sanbox version

          ip_address
              IP address of the switch.  Either a  symbolic  name  or
              decimal-dot notation can be used.

         sanbox port_status

         ip_address
              IP address of the switch.  Either a  symbolic  name  or
              decimal-dot notation can be used.

         port Port number from which to retrieve the attached AL_PAs.
              Valid  range is 1 to 8 or the word "all" can be used to
              specify all ports.

         sanbox port_counts

         ip_address
              IP address of the switch.  Either a  symbolic  name  or
              decimal-dot notation can be used.

         port Port  number  from  which  to  retrieve  the  statistic
              counts.  Valid range is 1-to-8 or the word "all" may be
              used to specify all ports.

         sanbox start_test

         -xxfer-size, bytes

    SunOS 5.6         Last change: 20 December 2002                 3

    Maintenance Commands                                   sanbox(1M)

              Set the size of  data  portion  of  the  Fibre  Channel
              frame.   Default  is  2000 bytes.  Valid range is 36 to
              2000.

         -nnumber of passes
              The number of frames to send for the test.

         -ttest pattern
              The data pattern to be sent to fill the frame.  Default
              is 7e7e7e7e. Any 32-bit hex value is valid.

         -r   Performs a reset_log  command  prior  to  starting  the
              test.  This resets the test counters.

         -wwait in seconds
              The number  of  seconds  to  wait  before  polling  for
              results.   If  zero,  the  command  immediately returns
              without polling for results.  If a  non-zero  value  is
              specified,  the  command  waits, then performs a single
              poll for results  and  exits.   The  poll  for  results
              returns   the   same   values  as  returned  by  sanbox
              test_status.  The default is to wait for 2 seconds.

         ip_address
              IP address of the switch.  Either a  symbolic  name  or
              decimal-dot notation can be used.

         port Port number on which to run tests.  Valid range is 1 to
              8.
              Note: The word "all" is not supported, since each  port
              must be tested individually.

          sanbox test_status

         ip_address
              IP address of the switch.  Either a  symbolic  name  or
              decimal-dot notation can be used.

         port Port number from which to retrieve test results.  Valid
              range  is  1-to-8,  or  the  word  "all" can be used to
              specify all ports.

         sanbox reset_log

         ip_address
              IP address of the switch.  Either a  symbolic  name  or
              decimal-dot notation can be used.

         sanbox port_counts

         ip_address
              IP address of the switch.  Either a  symbolic  name  or

    SunOS 5.6         Last change: 20 December 2002                 4

    Maintenance Commands                                   sanbox(1M)

              decimal-dot notation can be used.

         port number from which to retrieve test results.
              Valid range is 1-to-8, or the word "all" can be used to
              specify all ports.

         sanbox initiators

         ip_address
              IP address of the switch.  Either a  symbolic  name  or
              decimal-dot notation can be used.

         sanbox parameters

         no options
              Show the current active and saved values.

         -s   Save  the  active  parameters  into  permanent   store.
              Changes  to  the  active values are made first if other
              parameters are specified.

         -Mmfs_mode
              Controls the multiframe-sequence mode, also referred to
              as  "frame  bundling."  Alternative mode values support
              limiting the Loop Tenancy of the switch to  a  specific
              number of frames.  The possible values for the mfs_mode
              are as follows:
              0 = MFS disabled
              1 = MFS type: complete non-interleaved sequences
              2 = MFS type: non-complete sequences, reserved internal
              queues
              3 = MFS type: non-complete sequences, soft preference
              4 = Maximum of 8 frames transmitted per loop tenancy
              5 = Maximum of 32 frames transmitted per loop tenancy
              6 = Maximum of 128 frames transmitted per loop tenancy

         -m
              Sets the wait timeout for mfs_mode values 1 and 2.

         -e
              Sets the ED_TOV value.

         -t
              Sets the RT_TOV value.

         -a
              Sets the RA_TOV value.

         ip_address
              IP address of the switch.  Either a  symbolic  name  or
              decimal-dot notation can be used.

    SunOS 5.6         Last change: 20 December 2002                 5

    Maintenance Commands                                   sanbox(1M)

         port Port number from which to retrieve test results.  Valid
              range  is  1-to-8,  or  the  word  "all" may be used to
              specify all ports.

    RETURN CODES
          0 Successful operation
         -1 UNIX error
         -2 Timeout error

    EXAMPLE
              % sanbox discover 123.456.1.22 6
              IP: 123.456.1.22
              HW:  a03
              PROM: 3000
              FLASH:  a0100
              WWN: 100000c0dd00411b
              MAC:  00c0dd00411a

              % sanbox port_counts 123.456.1.22 1
              IP:  123.456.1.22
              Port:  1
              Inframes:  66
              Outframes:  1083
              Discards:  0
              Fbsyframes:  0
              C2Rjtframes:  0
              LinkFails:  0
              SyncLosses:  0
              Prim Seq Errs:  0
              InvalidTxWds:  280
              CRC Errs:  0
              DelimiterErrs:  0
              AddressIdErrs:  0
              Link Reset In:  0
              Link Reset Out:  0
              OLS In:  0
              OLS Out:  0
              Total LIP Rcvd:  39
              LIP F7 F7:  39
              LIP F8 F7:  0
              LIP F7 AL_PS:  0
              LIP F8 AL_PS:  0
              LIP AL_PD, AL_PS:  0
              AL Init Errs:  0
              AL Inits:  44

              % sanbox reset_log 123.456.1.22
              IP:  123.456.1.22

              % sanbox start_test -w 0 123.456.1.22 1

    SunOS 5.6         Last change: 20 December 2002                 6

    Maintenance Commands                                   sanbox(1M)

              IP:  123.456.1.22

              % sanbox test_status 123.456.1.22 1
              IP:  123.456.1.22
              port_test_status:  1
              port_test_count:  10
              port_fail_count:  0

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         checkcron(1M),   crontab(1),    cron(1M),    clearcache(1M),
         config_solution(1M),      disk_inquiry(1M),      luxadm(1M),
         rasagent(1M), ras_install(1M), testt3(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 7

save_password (1M) | [ Top ]

    Maintenance Commands                             savepassword(1M)

    NAME
         save_password -  change  the  Storage  Automated  Diagnostic
         Environment admin password

    SYNOPSIS
         /opt/SUNWstade/bin/save_password

    DESCRIPTION
         save_password provides an interface to  perform  maintenance
         on  the  password used to access the Storage Automated Diag-
         nostic Environment graphical user interface.

         You can change the password from inside the GUI or from  the
         command line.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         checkcron(1M),   crontab(1),    cron(1M),    clearcache(1M),
         config_solution(1M),      disk_inquiry(1M),      luxadm(1M),
         rasagent(1M), ras_install(1M), sanbox(1M), testt3(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 20 April 2002                   1

sccli (1M) | [ Top ]

    Maintenance Commands                                    sccli(1m)

      NAME
         sccli - Sun StorEdge 3000 Family CLI

      SYNOPSIS
         sccli [options] device subcommand [arguments]

         sccli help

      DESCRIPTION
         sccli is a command line interface used  to  manage  the  Sun
         StorEdge  3000  Family array controllers.  It can be used to
         examine and configure the array, save and restore configura-
         tion  data, and download new firmware to the array controll-
         ers and enclosure services processors or  disks  behind  the
         array.

         Except for the about, help and version commands,  all  sccli
         subcommands  require the specification of a device filename,
         typically specified as  /dev/rdsk/cXtYdZs2  or  cXtYdZ.   On
         Microsoft  Windows,  devices are specified as PhysicalDriven
         or by the disk number.  This device file needs to correspond
         to  an array controller device; if the array contains redun-
         dant controllers, the device file must correspond to a  path
         to a logical unit on the primary controller.

         To access the array using its out-of-band network  interface
         rather than via the SCSI or Fibre Channel HBA with which the
         array is connected to the host, specify  the  --oob  option.
         This  will  cause sccli to access the device via a local HBA
         only briefly, to retrieve the array's network  address,  and
         all  subsequent  access will be done over the network.  This
         is useful when heavy SCSI I/O makes in-band access slow;  it
         can  also  be  used when the host has no path to the primary
         controller.

         Alternately, if the host on which sccli is run is  not  con-
         nected  to  the  array  with  a SCSI or FC HBA, a URL can be
         specified to indicate  that  sccli  should  connect  to  the
         remote array over the network.  URLs are specified as:

              [se3000://]hostname-or-address[:port-number]

         The port-number attribute defaults to 58632.

         CAUTION: The download,  reset,  and  shutdown  commands  all
         cause  the array to stop responding to I/O requests from the
         host for a period of time.  This might result in  data  loss
         unless all I/O activity is suspended by halting all applica-
         tions that are  accessing  the  array,  and  unmounting  any
         filesystems  that are mounted from the array.  In redundant-
         controller configurations, these commands affect all LUNs on
         both controllers.

    SunOS 5.6           Last change: May  6, 2003                   1

    Maintenance Commands                                    sccli(1m)

         CAUTION: Although redundant controller  configurations  sup-
         port  live  firmware upgrades using its failover capability,
         the failover operation itself might cause  warning  messages
         to  be  displayed  on the console or system log.  These mes-
         sages can usually be ignored.

         NOTE: The secondary controller in dual-controller configura-
         tions  does  not  support  any administrative functions.  In
         active/active configurations, where  LUNs  are  assigned  to
         both  the  primary and secondary controllers, the sccli com-
         mand can be used only with those LUNs assigned to  the  pri-
         mary controller.

      OPTIONS
         -l, --list
              Displays a list of local or remote devices  that  sccli
              knows  how  to manage, and exits without processing any
              commands.  The output includes a filename or  URL  that
              can be used to access the device in subsequent commands
              and the SCSI INQUIRY data and serial number of the sub-
              system.   If  a network URL is specified on the command
              line, the output is limited to that device.  If a local
              device  filename  or  directory  name is specified, the
              search is limited to matching devices.

         -o, --oob
              Access the selected device out-of-band (via its network
              interface) rather than using SCSI commands.  The device
              is specified (or discovered) using its SCSI  path  name
              (do not specify a network address or URL), but once the
              device has been selected, all further communication  is
              performed  over  the  network.  This can provide better
              performance when the array is processing lots  of  SCSI
              I/O.

         -p port, --port port
              Access the selected device out-of-band like  the  --oob
              --option, but using the specified TCP port number.

         -w password, --password password
              Specifies the  password  assigned  to  the  array  con-
              troller. The user must supply the correct password when
              issuing potentially dangerous  commands  to  the  array
              over  a network connection.  For security reasons, it's
              preferable to supply this password using the CLI  pass-
              word  command, or enter the password interactively when
              prompted for it.  No password is required for  commands
              which  do  not  modify  the state of the controller, or
              commands issued via in-band SCSI channels.

         -y, --yes
              Assume a yes response to any yes/no  prompts.  This  is

    SunOS 5.6           Last change: May  6, 2003                   2

    Maintenance Commands                                    sccli(1m)

              used to allow particularly dangerous commands to be run
              from a script without prompting the user.

         -n, --no
              Assume a no response to any yes/no prompts.

         --version
              Displays the version number of the  sccli  utility  and
              exits without processing any subcommands.

         --usage
              Display a usage message and exit without processing any
              commands.

         --version
              Display the program version and exit without processing
              any commands.

      SYNTAX
         In  syntax  examples,  the  following  terms  are  used   to
         represent various parameter types:

         disk Physical disk  drives  are  specified  as  two  decimal
              integers  separated  by  a period.  The first number is
              the physical channel number, and the second  number  is
              the  SCSI target ID for the drive on that channel.  For
              example, the drive at ID 2 on channel 1 is specified as
              1.2.

         disk-list
              A list of disk specifiers, separated  by  commas.   For
              example, 1.0, 1.1, 1.2.

         logical-drive
              A logical drive can be represented by a  logical  drive
              index  (a  small  decimal number distinguished by an ld
              prefix), or a logical drive identifier (an  eight-digit
              hexadecimal  number).   For  example,  a  logical drive
              might be identified both by its logical drive index ld3
              and  its  logical  drive ID 71038221. Note that logical
              drive indices can change whenever a  logical  drive  is
              deleted, while a logical drive identifier never changes
              over the life of the logical drive.

         logical-volume
              Logical volumes are specified using  either  a  logical
              volume  index,  such as lv12, or an eight-digit hexade-
              cimal logical volume ID.

         ld-list
              A comma separated list of logical  drive  indices,  for
              example,  ld0,ld1,ld2,  or  a  list  of  logical  drive

    SunOS 5.6           Last change: May  6, 2003                   3

    Maintenance Commands                                    sccli(1m)

              identifiers.

         lv-list
              A comma separated list of logical volume  indices,  for
              example, lv0,lv1,lv2, or a list of logical volume iden-
              tifiers.

         target-list
              A comma-separated list of SCSI target ID numbers.

         lun  Partitions of a logical drive  or  logical  volume  are
              made  available to hosts by mapping each partition to a
              target ID and logical unit number on one or more  chan-
              nels  on  the  array  controller.  Commands  with a lun
              parameter accept the physical  channel  number,  target
              ID, and logical unit as three decimal numbers separated
              by periods.  For  example,  4.1.2  represents  physical
              channel 4, target ID 1, logical unit number 2.

         partition
              A logical drive or logical  volume  identifier  with  a
              suffix indicating a specific partition within the logi-
              cal drive or volume, for example, ld2-03  or  2CA48914-
              03.  The  suffix is a hexadecimal number ranging from 0
              to 7F.

         payload
              For diagnostic  commands,  an  eight-digit  hexadecimal
              number  specified  with  a hexadecimal prefix "0x", for
              example, 0xABCDEF01.

      SUBCOMMANDS
         If no subcommand is  entered  on  the  command  line,  sccli
         enters  an  interactive mode, prompting you to enter subcom-
         mands until the quit command  is  entered.  All  subcommands
         operate on the currently selected device.

         If no device is specified on the command line, and more than
         one  array  is  connected  to the host, a menu of devices is
         displayed. The device menu offers only one  device  filename
         for  each array, so using a different path requires specify-
         ing the pathname on the command line.

         The following subcommands are supported in interactive mode,
         and  with  the  exception of quit and select, on the command
         line:

         about
              Displays version and copyright information.

         clear events

    SunOS 5.6           Last change: May  6, 2003                   4

    Maintenance Commands                                    sccli(1m)

              Clears the array's internal event log.

         configure channel channel { host | drive } options
              Configures a host or drive channel.  ch is the physical
              drive channel, and options are any of the following:

              [-r | --reset]
                   Specifies that the controller reset immediately so
                   that   the  specified  changes  take  effect.   By
                   default, the specified changes do not take  effect
                   until  an  explicit  reset  controller  command is
                   issued.

              host The channel is used to interface with a host.

              drive
                   The channel is used to connect the array  to  disk
                   drives.

              sync-clock  rate
                   Specifies the clock rate.  rate  is  specified  as
                   Mhz, for example sync-clock 40Mhz.

              primary-id  target-list
                   Specifies one or more target IDs for  the  primary
                   controller  on  the specified channel.  primary-id
                   can be abbreviated pid.

              secondary-id target-list
                   Specifies the target IDs for  the  secondary  con-
                   troller. secondary-id can be shortened to sid.

         configure global-spare  disk
              Specifies that disk is to be  configured  as  a  global
              spare disk.

         configure local-spare  disk logical-drive
              Specifies that disk be configured as a dedicated  spare
              disk for the specified logical drive.

         configure network-interface lan0 [options]
              Configures the LAN interface, enabling the telnet, ftp,
              SNMP,  and  out-of-band management functions.  The fol-
              lowing dynamic options are accepted:

              bootp
                   Specifies that  the  BOOTP  protocol  be  used  to
                   establish an IP address.

              rarp Specifies that the RARP protocol be used to estab-
                   lish an IP address.

    SunOS 5.6           Last change: May  6, 2003                   5

    Maintenance Commands                                    sccli(1m)

              dhcp Specifies that the DHCP protocol be used to obtain
                   an IP address.

              The bootp, rarp, and dhcp options can  be  combined  to
              specify  that multiple protocols be tried in the speci-
              fied order. Alternately, if none of the dynamic options
              are  specified  on  the  same command line, a static IP
              address may be specified along  with  optional  netmask
              and  default  gateway  parameters.   The  syntax of the
              static IP addressing options is:

              ip-address n.n.n.n
                   The IP address of the array.

              netmask m.m.m.m
                   The netmask, in dotted-decimal format,  for  exam-
                   ple,
                    255.255.255.0

              gateway g.g.g.g
                   The IP address of a default router.

         All lan parameters must be specified  on  the  same  command
         line.

         configure partition partition size

         configure partition partition delete
              Specifies how much disk space to assign to  the  parti-
              tion. Space is allocated from, or yielded to, the adja-
              cent (higher-numbered) disk partition.  Size is  speci-
              fied  as an integral number of Mbytes, with a suffix of
              "MB".  For example,

                   sccli> configure part ld0-0 100mb

              To delete a  partition,  assign  a  size  of  zero,  or
              specify the delete keyword:

                   sccli> configure part ld0-0 0mb

         create logical-drive raidlevel options disks
              Creates a logical drive. The raidlevel  parameter  must
              be one of the following:

              raid0
                   Creates a striped array.

              raid1
                   Creates a mirrored array.

              raid3

    SunOS 5.6           Last change: May  6, 2003                   6

    Maintenance Commands                                    sccli(1m)

                   Creates a striped array with a fixed parity disk.

              raid5
                   Creates a striped array with parity.

              The options may include one or more of the following:

              local-spare
                   one of the specified disks will be used as a local
                   spare

              max-disk-capacity nMB
                   only nMB of each drive will be allocated,  instead
                   of entire drive; the remaining space on the drives
                   can be used to expand the logical drive later  on.
                   The  specified  parameter  should  have a MB or GB
                   suffix.

              size nMB
                   An alternative to  the  max-disk-capacity  keyword
                   that  specifies  the  total  usable  size  of  the
                   resulting logical drive.  The  logical  drive  may
                   later  be  expanded until it fills the capacity of
                   all of the member drives.

              primary
                   The logical drive will be mapped  to  the  primary
                   controller (default).

              secondary
                   The logical drive will be mapped to the  secondary
                   controller.

              The required disks  parameter  specifies  the  physical
              disks to be used, for example 2.0,2.1,2.2,2.3,2.4.

         create logical-volume ld-list  [primary | secondary]
              Creates a logical volume  from  the  specified  logical
              drives on the specified controller.  Be sure to specify
              the secondary keyword if the underlying logical  drives
              are mapped to the secondary controller.

         delete logical-drives ld-list
              Deletes the specified logical drives.

         delete logical-volumes lv-list
              Deletes the specified logical volumes.

         diag abort args
              Aborts the diagnostic test. Valid args are:

              type { loopback | echo | write-buffer }

    SunOS 5.6           Last change: May  6, 2003                   7

    Maintenance Commands                                    sccli(1m)

                   Specify the test type.

              channel ch
                   Specifies the channel on  which  the  test  to  be
                   aborted is running

              target id
                   Optionally, an individual target may be specified.

         diag buffer-test  args
              Performs a read/write buffer test. Valid arguments are:

              channel ch
                   Specify the channel to be tested.

              target  id
                   Specify the target on the selected channel.

              payload payload
                   Specify the  payload  as  a  64-bit  number  (e.g.
                   "0xA5A5A5A5")

              size size
                   Specify a block size (e.g. 512)

              count count
                   Specify a repetition count.

              compare { yes | no }
                   Compare data read with data written.

              stop-on-error { yes | no }
                   Halt the test if an error is encountered.

         diag echo args

              Perform a Fibre Channel ECHO test. Valid arguments are:

              channel ch
                   Channel to be tested.

              payload payload
                   Specify the  payload  as  a  64-bit  number  (e.g.
                   "0xA5A5A5A5")

              size size
                   Specify a block size (e.g. 512)

              count count
                   Specify a repetition count.

              compare { yes | no }

    SunOS 5.6           Last change: May  6, 2003                   8

    Maintenance Commands                                    sccli(1m)

                   Compare data read with data written.

              stop-on-error { yes | no }
                   Halt the test if an error is encountered.

         diag error channel ch [target id]
              Display statistics for the specified  channel.  If  the
              target  is  displayed,  output is limited to describing
              the specified target.

         diag loopback args
              Performs a loopback test on the specified Fibre Channel
              link.  Valid arguments are:

              channel ch
                   Specify the channel on which the  test  is  to  be
                   run.

              payload payload
                   Specify a 32-bit hexadecimal value to be used  for
                   the payload (for example, 0xA5A5A5A5))

              size size
                   Specify transfer size (e.g. 512)

              mode { 10bit | 1bit | external }
                   Specify the test mode.

              count count
                   Specify the number of test iterations.

              compare { yes | no }
                   Specify whether read  data  is  compared  to  data
                   written.

              stop-on-error { yes | no }
                   Stop when an error is detected

         diag status args
              Show status of tests running on the specified  channel.
              Valid arguments are:

              type { loopback | echo | write-buffer }
                   Specify the type of test that's currently running.

              channel ch
                   Specify the channel on which  the  test  is  being
                   performed.

              target id
                   Optionally specify a specific  target  ID  on  the
                   selected channel.

    SunOS 5.6           Last change: May  6, 2003                   9

    Maintenance Commands                                    sccli(1m)

         download controller-configuration [ options ] file
              Restores controller  configuration  information  previ-
              ously saved in file using the upload configuration com-
              mand.  If the -r or --reset option  is  specified,  the
              controller  is  reset, causing the new configuration to
              take effect.  Valid options are:

              -b, --build
                   Rebuild RAID sets specified in  the  saved  confi-
                   guration.  If  this  option is not specified, RAID
                   sets are not created.

              -r, --reset
                   Reset the controller so  that  the  newly-restored
                   configuration will take affect immediately.

         Note that resetting  the  controller  will  cause  sccli  to
         momentarily lose its current connection to the few minutes.

         download controller-firmware [options] file [bootrecord]
              Downloads firmware into the controller.  If  bootrecord
              is specified, it names an additional file that is down-
              loaded at the same time. This  command  is  potentially
              dangerous;   use   only  as  instructed.   In  a  dual-
              controller configuration, the  failover  capability  of
              the  redundant  controller pair is used to activate the
              new firmware without requiring the  array  to  be  shut
              down in what is known as a live upgrade or hot firmware
              download operation; in a  single-controller  configura-
              tion,  the  new  firmware is activated by resetting the
              controller.

              If the -r or --reset options are  specified,  the  con-
              trollers  will  always be reset instead of performing a
              live upgrade. This option is faster, and is recommended
              when a live upgrade is not required.

              The -r (or --reset) option should always  be  used  for
              single-controller configurations.

         download safte-firmware filename
              Downloads firmware into the SAF-TE microprocessor in  a
              StorEdge 3000 Family LVD enclosure.

         download ses-firmware filename
              Downloads firmware into the SES microprocessor in Fibre
              Channel Sun StorEdge 3000 Family enclosure.

         download pld-firmware filename
              Downloads PLD firmware into the SES  microprocessor  in
              fibre channel StorEdge 3000 Family enclosures.

    SunOS 5.6           Last change: May  6, 2003                  10

    Maintenance Commands                                    sccli(1m)

         download disk-firmware filename [disk-model]
              Downloads disk driver firmware into  disk  drives  con-
              nected  to  the  StorEdge 3000 Family array. If a disk-
              model string is specified, it will be  matched  against
              SCSI  INQUIRY  data to determine which drives should be
              programmed.  This function shuts down  the  array  con-
              troller  first, preventing the host from doing any nor-
              mal I/O for several minutes.

         fail { primary | secondary }
              Simulate a controller failure and cause  all  the  LUNs
              assigned  to  the  specified controller to fail over to
              the other controller.

         help Display a short synopsis of available commands.

         map partition ch.tgt.lun { primary | secondary }
              Map a partition to the specified host channel,  target,
              and LUN on the specified controller.

         mute Silence the array enclosure's audible alarm.

         password password
              Specifies the  password  assigned  to  the  array  con-
              troller.   The  user  must  supply the correct password
              when issuing  potentially  dangerous  commands  to  the
              array  over a network connection.  For interactive ses-
              sions, sccli will prompt the  user  for  this  password
              only  when  necessary; the password command is provided
              for non-interactive  applications  where  the  password
              must  be embedded in a script.  No password is required
              when accessing the array via in-band SCSI.

         quit Exit the interactive command mode.

         reset controller
              Resets the controller. This will temporarily cause  the
              array  to go offline, which in turn may affect applica-
              tions running on any hosts connected to the array,  and
              might  cause  data  loss  if applications are currently
              using the array.

         reset nvram
              Clears the NVRAM configuration memory and restores fac-
              tory  defaults.   After  issuing  this command, a reset
              controller operation needs to be  done,  and  the  con-
              troller  has  to  be  reconfigured  to restore any non-
              default  configuration  options  (those   configuration
              options  that  differ  from factory defaults).  Logical
              devices are not deleted, but they might become inacces-
              sible  if  they  relied  on  non-default  configuration
              parameters.

    SunOS 5.6           Last change: May  6, 2003                  11

    Maintenance Commands                                    sccli(1m)

         select device
              Selects a new device to which subsequent  commands  are
              to  be issued. If no device is specified, and more than
              one choice exists, a menu of choices is  displayed.  If
              only one device is found on the system, the select com-
              mand causes it to be selected automatically.

         set cache-policy [mode] [policy]
              Sets  cache  mode  (write-back  or  write-through)  and
              optimization  (sequential  or  random-access)  The mode
              option may be one of the following:

              random-access
                   Optimizes for random access.

              sequential
                   Optimizes for sequential access.

              The policy option may be one of the following keywords:

              write-through
                   Disables the write cache (writes go through to the
                   disk drives before being acknowledged).

              write-back
                   Enables write caching (also known as  "write-back"
                   or "write-behind" caching).

         set controller-name  string
              Specifies a symbolic name for the array.  The specified
              string  may  be  between 1 and 15 characters in length,
              but the length of the string plus  the  length  of  the
              current password must not be more than 16.

         set drive-parameters parameter value
              Sets  the  specified  drive-related  parameter   value.
              Parameters and their default values are:

              scsi-io-timeout 7000
                   Disk  drive  I/O  timeout  in  milliseconds.   The
                   default value is 7000 (i.e. 7 seconds).

              queue-depth 32
                   Maximum queue depth that the controller uses  when
                   queuing commands for each disk drive.  auto or the
                   value 0 can be  specified  to  indicate  that  the
                   queue depth value can be computed automatically.

              enclosure-polling-interval 0
                   Specifies the interval at  which  the  array  con-
                   troller polls the SAF-TE or SES environmental ser-
                   vices processor in  the  enclosure.   The  default

    SunOS 5.6           Last change: May  6, 2003                  12

    Maintenance Commands                                    sccli(1m)

                   value of 0 specifies that polling is disabled.

              auto-detect-swap-interval 0
                   Interval  (in  milliseconds)  between  checks   to
                   determine  if  a  failed drive has been physically
                   replaced.  The default value of 0  specifies  that
                   polling is disabled.

              smart { enabled | disabled }
                   Determines whether the disk drives are to  perform
                   predictive failure analysis.

              auto-global-spare { enabled | disabled }
                   Specifies whether the  RAID  controller  automati-
                   cally allocates disk drives as global spares.

         set host-parameters parameter value
              Sets  the  specified  host-channel  related  parameter.
              Host parameters are:

              max-luns-per-id 8
                   This parameter determines the  maximum  number  of
                   logical units that can be assigned to any one SCSI
                   target address.

              queue-depth 32
                   Controls the number of I/O operations that can  be
                   queued simultaneously for a given LUN.

         set icl { upper | lower } channel ch [dis]connected
              This is a shortcut for  the  set  inter-controller-link
              command.

         set inter-controller-link args
              Fibre Channel devices in redundant  pairs  only.  Valid
              args must be entered in the order shown below:

              { upper | lower }
                   The upper or lower  keyword  specifies  the  array
                   controller  slot  to  which  the  command  will be
                   directed.

              channel ch
                   The channel argument specifies the channel  to  be
                   modified  by the command.  Valid values for ch are
                   0, 1, 4, and 5.

              { connected | disconnected }
                   The final argument specifies the desired state for
                   the port bypass circuit.

         This command is used to specify that the port bypass circuit

    SunOS 5.6           Last change: May  6, 2003                  13

    Maintenance Commands                                    sccli(1m)

         for  the  specified  channel  on  the RAID controller in the
         specified slot (upper or lower) is to  be  enabled  or  dis-
         abled.   Normally,  all  inter-controller-links  on both the
         upper and lower controllers should be connected; disconnect-
         ing the upper or lower controllers' inter-controller-link on
         any  given  host  channel  breaks  the  internal  connection
         between  the  two  controllers,  and  between the upper con-
         troller and the external connector on the  lower  controller
         and   vice   versa.    This  potentially  doubles  aggregate
         bandwidth because the  controllers  do  not  have  to  share
         bandwidth  on  each  channel,  but  also prevents controller
         failover from working in a transparent fashion.

         set password  string
              Specifies a password that protects the RS-232 character
              interface,  telnet  and  ftp services from unauthorized
              use.  The string can be any alphanumeric string  up  to
              15  characters  in length, provided that the sum of the
              lengths of the password and the controller-name parame-
              ter  is  not  more than 16. To remove an existing pass-
              word, specify a  zero-length  string  with  a  pair  of
              double-quote characters.  For example:

              set password ""

         set rs232-configuration port speed
              Specifies the speed, in bits per second, for the speci-
              fied  port.   Single  controller  configurations have a
              single RS-232 port  (port  1).   Redundant  controllers
              have  a  second  port (port 2), but normally both ports
              are connected together to support controller  failover,
              so  both  should be set to the same speed.  The default
              speed is 38400.

         set unique-identifier   unique-id
              Specifies the unique identifier for the array subsystem
              as  a  5-digit  hexadecimal number.  This identifier is
              initialized from the chassis  serial  number  automati-
              cally,  and should not be changed unless the chassis is
              replaced.  This  value  is  used  to  construct  unique
              values  for  Ethernet  address, Fibre Channel WWNs, and
              other identifiers, and thus changing  it  unnecessarily
              may  cause  the logical units to become inaccessible to
              hosts.  The controller must be reset for this change to
              take effect.

         show cache-policy
              Displays parameters that influence the  performance  of
              the read/write cache.

         show channels
              Displays information about the host and drive channels.

    SunOS 5.6           Last change: May  6, 2003                  14

    Maintenance Commands                                    sccli(1m)

         show configuration [--xml | -x] [filename]
              Displays the array configuration on standard output, or
              optionally  writes it to the specified file.  If the -x
              or --xml options are  specified,  XML  output  is  gen-
              erated.

         show disks
              Displays information about the disk drives in the array
              enclosure and any expansion chassis.

         show events
              Displays the contents of the array's event log.

         show frus
              Displays FRU-ID information for Field Replaceable Units
              in the subsystem.

         show icl arguments
              A shortcut for the show inter-controller-link  command,
              described below.

         show host-parameters
              Displays the maximum I/O queue depth per  LUN  and  the
              number of LUNs that can be configured per target ID.

         show inquiry-data
              Displays the SCSI INQUIRY data returned  by  the  array
              controller.  This  command  always  returns the INQUIRY
              vendor  ID,  product  ID,  firmware  revision  and   IP
              address.   Other  data can be returned depending on the
              type of interface used to query the array.

         show inter-controller-link [ args ]
              Redundant  Fibre  Channel  arrays  only.  Displays  the
              status  of  the  port  bypass circuit for the specified
              channel on the array controller in the upper  or  lower
              slot.   If  specified,  the  args must specify an array
              controller slot location and a  channel  specifier,  as
              described  below.   If  no arguments are specified, the
              upper and lower slots of channels 0, 1, 4,  and  5  are
              displayed.

              { upper | lower }
                   Specifies the upper or lower controller.

              channel ch
                   Specifies the channel to examine.

         show ip-address
              Displays the IP address of the array controller.

    SunOS 5.6           Last change: May  6, 2003                  15

    Maintenance Commands                                    sccli(1m)

         show logical-drives [ld-list]
              Displays information about all, or a specified list, of
              logical drives.

         show logical-volumes [lv-list]
              Displays information about all, or a specified list, of
              logical volumes.

         show lun-maps
              Shows how logical drives or logical volumes are  mapped
              to host SCSI channels, targets and LUNs.

         show network-parameters
              Displays the IP address, netmask,  and  default  router
              address of the network management port.

         show partitions [ logical-devices ]
              Displays information about all disk partitions, or just
              those  partitions  allocated from the specified logical
              volumes or logical drives.  Valid logical  devices  may
              be specified using one of the following forms:

              logical-volumes lv-list
                   A list of logical volumes.

              logical-disks ld-list
                   A list of logical disks.

         show pld-revision
              Standalone Fibre Channel expansion chassis SES  devices
              only.  Displays the PLD firmware revision of the speci-
              fied standalone StorEdge 3510 FC expansion chassis  SES
              device.   The  StorEdge  3510 expansion chassis must be
              connected directly to the host (not to a StorEdge  3510
              array controller), and the SES device must be specified
              explicitly with the select command.   To  retrieve  the
              PLD  firmware  revision of an array controller chassis,
              or of an expansion chassis connected to an  array  con-
              troller, use the show ses-devices command instead.

         show port-wwns
              Fibre Channel devices only. This command  displays  the
              World Wide Port Numbers (WWPNs) associated with each ID
              on each channel.

         show redundancy-mode
              Displays whether  the  two  controllers  are  operating
              correctly as a redundant pair.

         show rs232-configuration

    SunOS 5.6           Last change: May  6, 2003                  16

    Maintenance Commands                                    sccli(1m)

              Displays RS232 port speeds.

         show safte-devices
              LVD  SCSI  array  controller  devices  only.   Displays
              information  returned  by the SAF-TE device embedded in
              StorEdge 3000 Family LVD RAID enclosures.   The  output
              includes  the  channel and target ID of the SAF-TE dev-
              ice, the serial number of the chassis in  which  it  is
              installed,  the  vendor  and  product  ids  and  SAF-TE
              firmware revision, and the  "SAF-TE  firmware  package"
              revision,   which   refers   to   firmware   for  other
              microprocesses in the chassis that are managed  by  the
              SAF-TE processor.

          show ses-devices
              Fibre Channel array controller devices only.   Displays
              a  list  of  enclosure  services devices visible to the
              selected  standalone  array  controller.   The   output
              includes  the  channel and target ID of the SES device,
              the serial  number  of  the  chassis  in  which  it  is
              installed,  the vendor and product ids and SES firmware
              revision, the PLD  firmware  revision,  and  the  Fibre
              Channel  World  Wide  Port  Name  for  the  device.  In
              redundnant configurations, SES devices are installed in
              pairs  and  there  should be two devices shown with the
              same chassis serial number.  Because it is important to
              ensure  the  SES  firmware  and  PLD revisions are con-
              sistent for SES devices installed in the same  chassis,
              any firmware revision mismatches that might result from
              replacement of an SES device FRU will be  flagged  with
              an "*", as well as by a visual indicator on the chassis
              itself.  Information is shown for  the  array  device's
              enclosure,  as  well as any expansion chasses which may
              be connected to the array.  To view  information  about
              an   SES  device  in  an  expansion  chasses  connected
              directly to the host instead of  an  array  controller,
              use  the select command to specify an SES device in the
              expansion chassis, and issue a show  inquiry  and  show
              pld-revision command to each device.

         show unique-identifier
              Displays  the  controller  unique   identifier,   which
              defaults to the enclosure serial number.

         shutdown controller
              Causes the controller to flush its cached data to  disk
              and  then  resets  the  controller.   Use  this command
              before removing power from array controllers to  ensure
              that the write cache is empty and the data on the disks
              is consistent.  Otherwise, if power is removed from the
              controller while the write cache contains data that has
              not been written to disk, the data is preserved only as

    SunOS 5.6           Last change: May  6, 2003                  17

    Maintenance Commands                                    sccli(1m)

              long   as   the   battery   can  supply  power  to  the
              controller's memory.  Any subsequent  access  to  array
              data  by  the  host  results  in an error, so data loss
              might occur if this command is issued while  the  array
              is in use.

         shutdown logical-drive ld
              Causes the specified logical drive to be taken offline.
              All  data  for the logical drive will be flushed to the
              disk drives, and any subsequent access to  the  logical
              drive  by  a host results in an error.  Data loss might
              occur if  this  command  is  issued  while  a  host  is
              actively   using  the  logical  drive.   This  function
              requires controller firmware revision 325P or later for
              LVD  array  controllers, and revision 327L or later for
              Fibre Channel array controllers.

         unfail [secondary]
              Reverse the effect of the fail secondary command,  per-
              mitting  the  secondary  controller to resume operation
              and restore the controller pair to  normal  (redundant)
              operation.

         unmap { partition | channel.target.lun }
              Unmap the specified partition, or unmap  the  partition
              currently  mapped  to  the specified channel.target.lun
              address.

         upload controller-configuration file
              Retrieves a binary description of the configuration  of
              the array and saves it to the specified file.  The file
              is not human-readable, but can be used to  restore  the
              same  configuration to the array at a later date, or to
              copy the configuration to another array.

      COPYRIGHT
         Copyright (C) 2002-2003 Dot Hill  Systems  Corporation.  All
         rights reserved.  Use is subject to license terms.

    SunOS 5.6           Last change: May  6, 2003                  18

se2_configcheck (1M) | [ Top ]

    Maintenance Commands                          se2_configcheck(1M)

    NAME
         se2_configcheck - Verify the configuration of a Sun StorEdge
         Solution System

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/se2_configcheck

    DESCRIPTION
         se2_configcheck Verify the configuration of a  Sun  StorEdge
         Solution System

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 1

se_configcheck (1M) | [ Top ]

    Maintenance Commands                           se_configcheck(1M)

    NAME
         se_configcheck - Verify the configuration of a Sun  StorEdge
         Solution System

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/se_configcheck

    DESCRIPTION
         se_configcheck Verify the configuration of  a  Sun  StorEdge
         Solution System

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 1

snapshot (1M) | [ Top ]

    Maintenance Commands                                 snapshot(1M)

    NAME
         snapshot - take snapshot of configuration

    DESCRIPTION
         The snapshot utility is  accessed  using  the  stortools(1M)
         toolbar buttons "SS Update" and "SS Diff."

         A SnapShot of the system is taken the first time stortools
              is started.  To view the snapshot, click the  stortools
              log  button  and  select  "SnapShot  Log" under the Log
              File.

         Everytime stortools starts, a comparison will be made against
              the  current configuration and the last saved Snapshot.
              If a difference is detected, a popup message will indi-
              cate that a difference has been detected.

         To view the snapshot differences, click the stortools
              Log button and select "SnapShot Diffs"  under  the  Log
              File.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         checkcron(1M),   crontab(1),    cron(1M),    clearcache(1M),
         config_solution(1M),      disk_inquiry(1M),      luxadm(1M),
         rasagent(1M), sanbox(1M), testt3(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 1

socaltest (1M) | [ Top ]

    Maintenance Commands                                socaltest(1M)

    NAME
         socaltest - tests the SOC+ host adapter card

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/socaltest

         [ standard-arguments ]

         [-uvelf] | [-o dev=physical-path] |  elb=[enable|disable]  |
         ilb=[enable|disable] |
         lbf=[enable|disable]     |     userpattern=0x-pattern      |
         selectpattern=[user|critical|all] |
         xcnt=transfer-count | iterations=count

    DESCRIPTION
         The socaltest test helps in the validation and fault  isola-
         tion  of the SOC+ host adapter card. In the case of a faulty
         card, the test attempts ot isolate the fault  to  the  card,
         the  GBIC  module,  or the DMA between the host adapter card
         and the host memory.

    OPTIONS
         Note: If storage is connected, you can only run lbf.  If  no
         storage  is  connected,  you can only run ilb. If a loopback
         plug is inserted, you can run all options.

         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         socaltest                                                 -o
         "dev=devices/sbus@3,0/SUNW,socal@d,10000/sf@0,0:devctl|
         ilb=disable | elb=disable"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=physical-path
              The name of the device that is returned by discman(1M).

         elb=enable|disable
              Enables or disables the External Loopback test.

         iterations=count
              Controls the number of times  the  loopback  test  will
              run, for example, 100.

         ilb=enable|disable

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                socaltest(1M)

              Enables or disables the Internal Loopback test.

         lbf=enable|disable
              Enables or disables the Loopback Frame test.

         xcnt=transfer-count
              Buffer sizes of the pattern buffer.

         userpattern=0x-pattern
              Specify a user  defined  pattern  in  hexadecimal,  for
              example: ptn=0x7e7e7e7e

         selectpattern=user|critical|all
              Choice of pattern to  run.  user  is  the  one  pattern
              entered  above.   critical  is  the I/O pattern causing
              device failure. all is a  complete  list  of  patterns.
              critical is the default pattern.

      Standard Command-Line Arguments
         The following is a lis of the  command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       stresstest(1M),       switchtest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                socaltest(1M)

         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

stresstest (1M) | [ Top ]

    Maintenance Commands                               stresstest(1M)

    NAME
         stresstest - Checks for possible SAN errors.

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/stresstest

         [ standard-arguments ]

         [ -h=hostname ], [ -M=module_list ],
         [ -e=email_address|email_address|... ], [ -b=background ],
         [ -l=display_valid_modules ], [ -T=minutes_to_run ],
         [ -N=instances_tests_to_run_per_device ]

    DESCRIPTION
         The stresstest induces a load  on  a  storage  area  network
         (SAN)  and checks for errors that might occur.  This program
         is most effectively used to verify components that have been
         recently added to a SAN.

    OPTIONS
         Note: All options must  be  listed  in  a  quoted  list  and
         separated by a pipe ( | ).

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         -h hostname
                   Runs the hostname command on the  specified  host-
                   name.  If a hostname is not specified, the command
                   will run on the local machine.   This  command  is
                   optional.

         -M Modules
                   Specifies the module against which  stresstest  is
                   run.   Determine which modules are currently valid
                   using the stresstest -l  command.   At  least  one
                   module  must  be  specified  for the stresstest to
                   run.

         -e email_address|email_address|...
                   Specifies   the   email   address(es)   to   where
                   stresstest  results are sent.  If no email address
                   is specified, then no results are sent.  This com-
                   mand is optional.

         -b background
                   Runs  stresstest  in  the  background.   You  must

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                               stresstest(1M)

                   specify  the  time  limit  using the stresstest -T
                   command.  The default is foreground.

         -T minutes_to_run
                   Specifies the number of minutes to  run  the  I/O.
                   This  command  is  optional if stresstest-b is not
                   specified.  If -T minutes_to_run is not specified,
                   the stresstest will run indefinitely until stopped
                   by a Ctrl-C or an Int signal.

         -N instances_test_to_run
                   Specifies the number of test instances to run  per
                   device.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        brocadetest(1M),         d2disktest(1M),
         daksestest(1M),     daktest(1M),    dex(1M),    discman(1M),
         fcdisktest(1M),   fctapetest(1M),   ifptest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M), switchtest(1M), switch2test(1M),  t3ofdg(1M),
         t3test(1M),   t3volverify(1M),  6120ofdg(1M),  6120ondg(1M),
         6120volverify(1M) vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

switch2test (1M) | [ Top ]

    Maintenance Commands                              switch2test(1M)

    NAME
         switch2test - diagnose Sun StorEdge Network FC switch-8  and
         switch-16 2 Gbyte Fibre Channel switches

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/switch2test

         [ standard-arguments ]

         [-uvelf] [-o  dev=port:ip_address:fcaddr  |  userpattern=0x-
         pattern ]
         [ iterations=number ] [ xfersize=number ] [ selectpattern= ]
         [ user|critical|all] ] [ password=password ]

    DESCRIPTION
         The  switch2test  test  is  delivered  with  the   SUNWstade
         software.  This test verifies the functionality of the Fibre
         Channel ports on the Sun StorEdge Network 2 GB Fibre Channel
         switch.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         switch2test -o "dev=7:172.20.67.198:0 | xfersize=250"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=port:ip_address:fcaddr
              Specifies the name of the switch  port  to  be  tested.
              The  port:ip_address:fcaddr  is  the name of the device
              that is returned by discman(1M).  There is no default.

         userpattern=0x-pattern
              User specific  pattern  in  hexadecimal,  for  example:
              pattern=0x4a4a4a4a.  Default is 7e7e7e7e.

         iterations=number
              Specifies the number of iterations the port test should
              run. The range is 0 to 1000000.  Default is 1000000.

         xfersize=number
              Specifies the transfer count. The range is 250 to 2000.
              Default is 2000.

         selectpattern=user|critical|all

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                              switch2test(1M)

              Choice of pattern to  run.  user  is  the  one  pattern
              entered  above.   critical  is  the I/O pattern causing
              device failure. all is a  complete  list  of  patterns.
              critical is the default pattern.

         passwd
              A password is required for the Sun StorEdge  Network  2
              GB Fibre Channel switches.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -c   Enables a core image of the test process to be  created
              in  the  current working directory upon receipt of cer-
              tain signals, otherwise those signals  are  caught  and
              handled  to  prevent  a core from being generated.  The
              default is to disable the creation of a core image.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -f   Runs the test in full Functional test mode.  This  mode
              assumes  that the test has complete control of the dev-
              ice under test. See the note  below.   The  default  is
              false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        brocadetest(1M),         d2disktest(1M),
         daksestest(1M),     daktest(1M),    dex(1M),    discman(1M),
         fcdisktest(1M),   fctapetest(1M),   ifptest(1M),    lbf(1M),
         linktest(1M),  qlctest(1M),  ras_admin(1M), ras_revcheck(1M)
         socaltest(1M), stresstest(1M),  switchtest(1M),  t3ofdg(1M),
         t3test(1M),   t3volverify(1M),  6120ofdg(1M),  6120ondg(1M),
         6120volverify(1M) vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                              switch2test(1M)

    SunOS 5.6         Last change: 20 December 2002                 3

switchtest (1M) | [ Top ]

    Maintenance Commands                               switchtest(1M)

    NAME
         switchtest - diagnose Sun  StorEdge  Network  Fibre  Channel
         switch-8 and switch-16 switches

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/switchtest

         [ standard-arguments ]

         [-uvelf] [-o dev=port:ip_address:fcaddr]  [  userpattern=0x-
         pattern ]
         [iterations=number        ]        [xfersize=number        ]
         selectpattern=[user|critical|all]

    DESCRIPTION
         The  switchtest  test  is  delivered  with   the   SUNWstade
         software.  This  test  verifies  the  functionality  for the
         Media, File System, and Asynchronous I/O subtests.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         switchtest -o "dev=7:172.20.67.198:0 | xfersize=250"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=port:ip_address:fcaddr
              Specifies the name of the switch  port  to  be  tested.
              The  port:ip_address:fcaddr  is  the name of the device
              that is returned by discman(1M).  There is no default.

         userpattern=0x-pattern
              User specific  pattern  in  hexadecimal,  for  example:
              pattern=0x4a4a4a4a.  Default is 7e7e7e7e.

         iterations=number
              Specifies the number of iterations the port test should
              run. The range is 0 to 1000000.  Default is 1000000.

         xfersize=number
              Specifies the transfer count. The range is 250 to 2000.
              Default is 2000.

         selectpattern=user|critical|all
              Choice of pattern to  run.  user  is  the  one  pattern

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                               switchtest(1M)

              entered  above.   critical  is  the I/O pattern causing
              device failure. all is a  complete  list  of  patterns.
              critical is the default pattern.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              See the note below. The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switch2test(1M),  t3ofdg(1M),  t3test(1M),  t3volverify(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

t3ofdg (1M) | [ Top ]

    Maintenance Commands                                   t3ofdg(1M)

    NAME
         t3ofdg - tests the functionality  of  the  Sun  StorEdge  T3
         array

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/t3ofdg
         [ standard-arguments ]
         health_check=[enable|disable]  fast_test=[enable|disable]
         fast_find=[enable|disable] find=[enable|disable]
         syslog=[enable|disable]  [  dev=T3-name-IP   address   ]   [
         enc_id=enclosure_ID ]
         loop=[1|2] [ usr=T3adminusername ] [ passwd=T3admin-password
         ]

    DESCRIPTION
         The t3ofdg test runs the internal  diagnostics  of  the  Sun
         StorEdge T3 array.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe (|), for example:

         command-name -o "dev=path | ..."

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         heath_check=enable|disable
              Health check runs fast_test multiple  times,  one  time
              for each loop per unit. Default is disable.

         fast_test=enable|disable
              Fast_test performs a fast Go/No Go test of the selected
              enclosure  and loop.  It does not attempt to detect bad
              FRUs.  Default is disable.

         fast_find=enable|disable
              fast_find can be used to detect bad loop cards,  inter-
              connect  cables,  and  controllers.  Fast_find does not
              try to  isolate  down  to  a  single  disk  port.   Run
              fast_find  before  find to eliminate loop cards, inter-
              connect cables, and controllers as  bad  FRU(s)  before
              the  midplane or disks are suspected (which are checked
              using find). Default is disable.

         find=enable|disable
              find performs an extensive  Go/No  Go  test.   If  loop

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                   t3ofdg(1M)

              failures  are  detected, it automatically initiates the
              full loop fault isolation diagnostic.  The  loop  fault
              diag  has the capability to detect and isolate a single
              disk port, but is very time-consuming.  Default is dis-
              able.

         syslog=enable|ofdg|disable
              Enable will dump all syslog  entries,  that  have  been
              added  while  the test is running, to the screen.  ofdg
              will dump only OFDG lines, added to the syslog, to  the
              screen.  Default is disable.

         dev=T3 IP Address
              If a host name is set for the device, it can be used as
              well.

         enc_id=1|2|all
              enc_id applies only to  Partner  groups  and  specifies
              enclosures  on  which  to  run  test.   all will run on
              enclosure 1, then on enclosure 2.  The default is 1.

         loop=1|2|all
              Specifies which loop to test.  All tests both.  Default
              is 1.

         usr=T3adminusername
              Specify login name.

         passwd=T3admin Password
              Specify Password.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -y   Provide  affirmative  answer  to  following   question:
              WARNING  -  Volume  data  will be offline while OFDG is
              running.  Continue ? [N] :

         -k   Attempt to abort Tests currently running  on  specified
              Sun StorEdge T3 array.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false .

    ATTRIBUTES

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                   t3ofdg(1M)

         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),         switch2test(1M),         t3test(1M),
         t3volverify(1M),         6120ofdg(1M),         6120ondg(1M),
         6120volverify(1M) vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

t3test (1M) | [ Top ]

    Maintenance Commands                                   t3test(1M)

    NAME
         t3test - tests the functionality of the Sun StorEdge T3  and
         T3+ array LUNs

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/t3test

         [ standard-arguments ]

         [-uvelf]  |  [-o  "dev=DeviceName"]  |  partition=0-7(mount-
         point) | rawsub=[enable|disable] |
         method=[AsyncIO    |    SyncIO]    |    rawiosize=size     |
         fstest=[enable|disable] |
         userpattern=0xPattern    |     fssize=file-system-size     |
         fsiosize=IO-transfer-size |
         selectpattern=[user|critical|all]                          |
         logcheck=[enable|disable] |
         rawcoverage=number   |   checkrdls=[enable|disable]   ]    |
         wrdevbuf=[enable|disable] |
         wrdevbufiterations=number

    DESCRIPTION
         The t3test test verifies the functionality of  Sun  StorEdge
         T3  array  logical unit numbers (LUNs) using three subtests:
         Media, File System, and Asynchronous I/O.   An  instance  of
         t3test is present for each LUN.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         t3test -o "dev=/dev/rdsk/c3t4d2s2 | selectpattern=critical"

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=DeviceName
              The name of the device that is returned by discman(1M).
              For example, /dev/rdsk/c0t3d0s2.

         partition=0-7(mount-point)
              Specifies   the   partition   number   to    test    as
              partition=6(/export/s6) if mounted on partition 6.

         rawsub=enable|disable
              Enables or disables the media subtest.

         method=SyncIO|AsyncIO|SyncIO+AsyncIO

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                   t3test(1M)

              Specifies the Media Test Methods (SyncIO and AsyncIO).

         rawiosize=number
              Specifies the media size to transfer. number can be one
              of the following:
              2KB|16KB|32KB|64KB|128KB|256KB|512KB

         userpattern=0xPattern
              Specifies a specific pattern for file system testing.

         fstest=enable|disable
              Enables or disables the File System subtest.

         selectpattern=user|critical|all
              Choice of pattern to  run.  user  is  the  one  pattern
              entered  above.   critical  is  the I/O pattern causing
              device failure. all is a  complete  list  of  patterns.
              critical is the default pattern.

         fssize=number
              Indicates the file system subtest size in kilobytes  or
              megabytes:
              K|k|KB|kb-kilobytes
              M|m|MB|mb-megabytes
              [ 512KB|2MB|8MB|20MB|100MB|200MB ]

         fsiosize=numberKB
              Indicates the size  of  the  file  system  subtest  I/O
              transfer in bytes or kilobytes:
              [ 512B|1024B|10KB|40KB|80KB ]

         logcheck=enable|disable
              Checks the Sun StorEdge T3 array log for errors  during
              test.

         checkrdls=enable|disable
              Monitor read link status counters for errors.

         rawcover=coverage
              Specifies media coverage from 0-100% of the partition.

         W/R Device Buffer Test=enable|disable
              Enables or disables the W/R buffer test.

         W/R Device Buffer Iterations=number
              Specifies the number of times to loop  the  W/R  Device
              Buffer Test.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                   t3test(1M)

         -c   Enables a core image of the test process to be  created
              in  the  current working directory upon receipt of cer-
              tain signals, otherwise those signals  are  caught  and
              handled  to  prevent  a core from being generated.  The
              default is to disable the creation of a core image.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -f   Runs the test in full Functional test mode.  This  mode
              assumes  that the test has complete control of the dev-
              ice under test. The default is false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),         switch2test(1M),         t3ofdg(1M),
         t3volverify(1M),         6120ofdg(1M),         6120ondg(1M),
         6120volverify(1M) vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

t3volverify (1M) | [ Top ]

    Maintenance Commands                              t3volverify(1M)

    NAME
         t3volverify - Runs manual parity checks on Sun  StorEdge  T3
         array volumes

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/t3volverify

         [ standard-arguments ]
         dev=T3_Name_or_Address     |     usr=T3_admin_username     |
         passwd=T3_admin_password |
         volume_name=volume_name | fix_errors=[yes|no] | rate=[1-16]

    DESCRIPTION
         The t3volverifytest instantiates and monitors a manual  par-
         ity  check  on existing RAID 5 and RAID 1 volumes.  The HTTP
         token interface of the Sun StorEdge T3 Array is utilized for
         communication.   If  the  Ethernet  connection  to  the  Sun
         StorEdge T3 Array does not exist or is  broken,  t3volverify
         cannot run properly.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         command-name -o "dev=path | ..."

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=T3_Name_or_Address
              The IP address of the Sun StorEdge T3 Array.  If a host
              name  is  set for the device, the host name can also be
              used.

         usr=T3_admin_username
              Specifies the login name.

         passwd=T3_admin_password
              Specifies the password for the Sun StorEdge T3 Array.

         volume_name=volume_name
              Specifies the existing volume to run against.

         fix_errors=yes|no
              The fix_errors option corrects parity errors on RAID  5
              volumes  and  corrects  mirrored  data errors on RAID 1
              volumes.   If   fix_errors   is   not   enabled,   then
              t3volverify  will  report errors, but not correct them.

    SunOS 5.6          Last change: 04  April 2002                  1

    Maintenance Commands                              t3volverify(1M)

              If the fix_errors option is specified and an  error  is
              detected,  the volverify running on the Sun StorEdge T3
              Array will regenerate parity from the existing data  on
              the volume.

         rate=1-8
               8 = the fastest, with the greatest performance loss on
              the  Host I/O.  1 = the slowest, with the least perfor-
              mance loss on the Host I/O.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -y   Provides an affirmative answer to the  following  ques-
              tion:  WARNING - Volume data will be offline while vol-
              verify is running. Continue?  [N]:

         -k   Attempts  to  abort  any  and  all  volume   operations
              currently  running  on  the  specified  Sun StorEdge T3
              Array.  Will not start any volverify operations on  the
              Sun StorEdge T3 Array.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),   switch2test(1M),  t3ofdg(1M),  t3test(1M),
         6120ofdg(1M),  6120ondg(1M),  6120volverify(1M)  vediag(1M),
         veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 04  April 2002                  2

    Maintenance Commands                              t3volverify(1M)

    SunOS 5.6          Last change: 04  April 2002                  3

testt3 (1M) | [ Top ]

    Maintenance Commands                                   testt3(1M)

    NAME
         testt3 - retrieve tokens from a Sun StorEdge T3 array

    SYNOPSIS
         /opt/SUNWstade/bin/testt3

    DESCRIPTION
         testt3 is used to retrieve tokens from a  Sun  StorEdge  T3,
         T3+,  and  6120 array.  This test is used to verify that the
         IP that was used is correct and IP points to a Sun  StorEdge
         T3, T3+, or 6120 array.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         checkcron(1M), clearcache(1M), disk_inquiry(1M)  luxadm(1M),
         rasagent(1M), ras_install(1M), sanbox(1M), attributes(5)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 1

vediag (1M) | [ Top ]

    Maintenance Commands                                   vediag(1M)

    NAME
         vediag -  Runs  virtualization  engine  diagnostics  through
         SLICD

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/vediag

         [ standard-arguments ]
         dev=login | target=target | sddiag=[enable|disable] |
         sudiag=[enable|disable] | initiator=[I1|I2]

    DESCRIPTION
         The ve_diag test instantiates and  monitors  diagnostics  on
         the  virtualization  engine.  SLICD is utilized to start and
         stop  the  virtualization  engines;  hence,  SLICD  must  be
         operating properly to run the VE diagnostics.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         command-name -o "dev=path | ..."

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=login
              Specifies the signon path, as specified  in  the  SLICD
              configuration file.

         target=target
              Specifies the  target  number  of  a  LUN  on  the  Sun
              StorEdge  T3 Array.  The target number only needs to be
              specified if SDDIAG is enabled.

         SDDIAG=enable|disable
              Enables or disables the SD diagnostic on the  virtuali-
              zation   engine.   Tests  the  connection  to  the  Sun
              StorEdge T3 Array LUN, specified by the target.

         SUDIAG=enable|disable
              Enables or disables the SU diagnostic on the  virtuali-
              zation  engine.   Tests  buffer  memory, CPU memory, FC
              chip, and Ethernet chip.

         initiator=I1|I2
              Specifies on which virtualization engine to  run  diag-
              nostics:  I1 is for the master and I2 is for the slave.

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                   vediag(1M)

              WARNING: This test will reboot the router.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test- specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),   switch2test(1M),  t3ofdg(1M),  t3test(1M),
         t3volverify(1M),         6120ofdg(1M),         6120ondg(1M),
         6120volverify(1M) veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 2

veluntest (1M) | [ Top ]

    Maintenance Commands                                veluntest(1M)

    NAME
         veluntest - tests the functionality  of  the  virtualization
         engine by accessing the VLUNs.

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/veluntest
         [ standard-arguments ]

         [-uvelf] | [-o dev=DeviceName] |  partition=0-7(mount-point)
         |
         rawsub=[enable|disable]  |  method=[AsyncIO  |   SyncIO]   |
         rawiosize=size |
         fstest=[enable|disable]    |     userpattern=0xPattern     |
         fssize=file-system-size    |   fsiosize=IO-transfer-size   |
         selectpattern=[user|critical|all] | rawcoverage=number

    DESCRIPTION
         The veluntest test verifies the functionality of the in-band
         virtualization  engine  logical  unit  numbers  (LUNs) using
         three subtests: Media, File System,  and  Asynchronous  I/O.
         An instance of veluntest is present for each LUN.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         veluntest -o dev=/dev/rdsk/c3t4d2s2 | selectpattern=critical

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=DeviceName
              The name of the device that is returned by discman(1M).
              For example, /dev/rdsk/c0t3d0s2.

         partition=0-7 (mount-point)
              Specifies   the   partition   number   to    test    as
              partition=6(/export/s6) if mounted on partition 6.

         rawsub=[ enable|disable ]
              Enables or disables the media subtest.

         method=SyncIO|AsyncIO|SyncIO+AsyncIO
              Specifies the Media Test Methods (SyncIO and AsyncIO).

         rawiosize=number
              Specifies the media size to transfer. size can  be  one

    SunOS 5.6         Last change: 20 December 2002                 1

    Maintenance Commands                                veluntest(1M)

              of the following:
              2KB|16KB|32KB|64KB|128KB|256KB|512KB

         userpattern=0xPattern
              Specifies a specific pattern for file system testing.

         fstest=[ enable|disable ]
              Enables or disables the File System subtest.

         selectpattern=[ user|critical|all ]
              Choice of pattern to  run.  user  is  the  one  pattern
              entered  above.   critical  is  the I/O pattern causing
              device failure. all is a  complete  list  of  patterns.
              critical is the default pattern.

         fssize=file-system-size
              Indicates the file system subtest size in kilobytes  or
              megabytes:
              K|k|KB|kb-kilobytes
              M|m|MB|mb-megabytes
              [ 512KB|2MB|8MB|20MB|100MB|200MB ]

         fsiosize=numberKB
              Indicates the size  of  the  file  system  subtest  I/O
              transfer in bytes or kilobytes:
              {512B|1024B|10KB|40KB|80KB}

         rawcover=number
              Specifies media coverage from 0-100 of the partition.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -l   Runs the test in Online Functional mode.  This  is  the
              same  mode  that  tests  run  in when executed with the
              vtsui.online command. It  is  a  non-intrusive  version
              that  will not significantly affect other applications.
              The default is true.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    SunOS 5.6         Last change: 20 December 2002                 2

    Maintenance Commands                                veluntest(1M)

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M),    daksestest(1M),   daktest(1M),   dex(1M),
         discman(1M),  fcdisktest(1M),  fctapetest(1M),  ifptest(1M),
         lbf(1M),     linktest(1M),    qlctest(1M),    ras_admin(1M),
         ras_revcheck(1M)       socaltest(1M),        stresstest(1M),
         switchtest(1M),   switch2test(1M),  t3ofdg(1M),  t3test(1M),
         t3volverify(1M),         6120ofdg(1M),         6120ondg(1M),
         6120volverify(1M) vediag(1M),

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6         Last change: 20 December 2002                 3

volverify (1M) | [ Top ]

    Maintenance Commands                                volverify(1M)

    NAME
         volverify - Runs manual parity checks on  Sun  StorEdge  T3,
         T3+, and 6120 array volumes

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/volverify

         [ standard-arguments ]
         dev=T3_Name_or_Address     |     usr=T3_admin_username     |
         passwd=T3_admin_password |
         volume_name=volume_name | fix_errors=[yes|no] | rate=[1-16]

    DESCRIPTION
         The volverify instantiates  and  monitors  a  manual  parity
         check on existing RAID 5 and RAID 1 volumes.  The HTTP token
         interface of the Sun StorEdge T3,  T3+,  or  6120  Array  is
         utilized  for  communication.  If the Ethernet connection to
         the Sun StorEdge T3, T3+, or 6120 Array does not exist or is
         broken, volverify cannot run properly.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         command-name -o "dev=path | ..."

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=T3_Name_or_Address
              The IP address of the Sun StorEdge T3 Array.  If a host
              name  is  set for the device, the host name can also be
              used.

         usr=T3_admin_username
              Specifies the login name.

         passwd=T3_admin_password
              Specifies the password for the Sun StorEdge T3 Array.

         volume_name=volume_name
              Specifies the existing volume to run against.

         fix_errors=yes|no
              The fix_errors option corrects parity errors on RAID  5
              volumes  and  corrects  mirrored  data errors on RAID 1
              volumes.  If fix_errors is not enabled, then  volverify
              will  report  errors,  but  not  correct  them.  If the

    SunOS 5.6          Last change: 07 April 2003                   1

    Maintenance Commands                                volverify(1M)

              fix_errors  option  is  specified  and  an   error   is
              detected,  the volverify running on the Sun StorEdge T3
              Array will regenerate parity from the existing data  on
              the volume.

         rate=1-8
               8 = the fastest, with the greatest performance loss on
              the  Host I/O.  1 = the slowest, with the least perfor-
              mance loss on the Host I/O.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -y   Provides an affirmative answer to the  following  ques-
              tion:  WARNING - Volume data will be offline while vol-
              verify is running. Continue?  [N]:

         -k   Attempts  to  abort  any  and  all  volume   operations
              currently  running  on  the  specified  Sun StorEdge T3
              Array.  Will not start any volverify operations on  the
              Sun StorEdge T3 Array.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M), daksestest(1M), daktest(1M), fcdisktest(1M),
         fctapetest(1M),  ifptest(1M),   linktest(1M),   qlctest(1M),
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),   t3ofdg(1M),   t3test(1M),   6120ofdg(1M),
         vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 07 April 2003                   2

    Maintenance Commands                                volverify(1M)

    SunOS 5.6          Last change: 07 April 2003                   3

volverifytest (1M) | [ Top ]

    Maintenance Commands                                volverify(1M)

    NAME
         volverify - Runs manual parity checks on  Sun  StorEdge  T3,
         T3+, and 6120 array volumes

    SYNOPSIS
         /opt/SUNWstade/Diags/bin/volverify

         [ standard-arguments ]
         dev=T3_Name_or_Address     |     usr=T3_admin_username     |
         passwd=T3_admin_password |
         volume_name=volume_name | fix_errors=[yes|no] | rate=[1-16]

    DESCRIPTION
         The volverify instantiates  and  monitors  a  manual  parity
         check on existing RAID 5 and RAID 1 volumes.  The HTTP token
         interface of the Sun StorEdge T3,  T3+,  or  6120  Array  is
         utilized  for  communication.  If the Ethernet connection to
         the Sun StorEdge T3, T3+, or 6120 Array does not exist or is
         broken, volverify cannot run properly.

    OPTIONS
         Note: All options must be listed in a quoted list  following
         the  standard  argument  -o  option.   The  options  must be
         separated by a pipe ( | ), for example:

         command-name -o "dev=path | ..."

         Options can be one or more of the following and can be  used
         with  the  standard  command-line  arguments that are listed
         below.

         dev=T3_Name_or_Address
              The IP address of the Sun StorEdge T3 Array.  If a host
              name  is  set for the device, the host name can also be
              used.

         usr=T3_admin_username
              Specifies the login name.

         passwd=T3_admin_password
              Specifies the password for the Sun StorEdge T3 Array.

         volume_name=volume_name
              Specifies the existing volume to run against.

         fix_errors=yes|no
              The fix_errors option corrects parity errors on RAID  5
              volumes  and  corrects  mirrored  data errors on RAID 1
              volumes.  If fix_errors is not enabled, then  volverify
              will  report  errors,  but  not  correct  them.  If the

    SunOS 5.6          Last change: 07 April 2003                   1

    Maintenance Commands                                volverify(1M)

              fix_errors  option  is  specified  and  an   error   is
              detected,  the volverify running on the Sun StorEdge T3
              Array will regenerate parity from the existing data  on
              the volume.

         rate=1-8
               8 = the fastest, with the greatest performance loss on
              the  Host I/O.  1 = the slowest, with the least perfor-
              mance loss on the Host I/O.

      Standard Command-Line Arguments
         The following is a list of the command-line  arguments  that
         can be specified along with the other options.

         -y   Provides an affirmative answer to the  following  ques-
              tion:  WARNING - Volume data will be offline while vol-
              verify is running. Continue?  [N]:

         -k   Attempts  to  abort  any  and  all  volume   operations
              currently  running  on  the  specified  Sun StorEdge T3
              Array.  Will not start any volverify operations on  the
              Sun StorEdge T3 Array.

         -u   Displays command-line usage information.

         -v   Runs the test in Verbose  mode  and  displays  messages
              with  more  detailed information about the testing pro-
              cess. The default is false.

         -o   Used to indicate that the options  and  arguments  that
              follow are test specific.

    ATTRIBUTES
         See attributes(5) for descriptions of the  following  attri-
         bute:   box; cbp-1 | cbp-1 l | l .  ATTRIBUTE TYPE ATTRIBUTE
         VALUE = Availability   SUNWstade

    SEE ALSO
         a5ktest(1M),        a5ksestest(1M),         brocadetest(1M),
         d2disktest(1M), daksestest(1M), daktest(1M), fcdisktest(1M),
         fctapetest(1M),  ifptest(1M),   linktest(1M),   qlctest(1M),
         socaltest(1M),        stresstest(1M),        switchtest(1M),
         switch2test(1M),   t3ofdg(1M),   t3test(1M),   6120ofdg(1M),
         vediag(1M), veluntest(1M)

         Storage Automated Diagnostic Environment User's Guide

    SunOS 5.6          Last change: 07 April 2003                   2

    Maintenance Commands                                volverify(1M)

    SunOS 5.6          Last change: 07 April 2003                   3